# -*- coding: utf-8 -*-
"""
Created on Tue May 28 16:32:17 2013

@author: John
"""
from pylab import * 
from Wbs03InductorCoreOptimizer import CoreLosses




def findCore(main_list,Name) :
 Core = []   
 for line in main_list:
  if line[0] == Name:
   Core = line
   break    
 return Core 

def is_number(s):
    try:
        float(s)
        return True
    except ValueError:
        return False
        
def read_csv(filename):
 data2= []
 for line in open(filename,'r'):
    data = []
    #Checks if theres values there
    if line.strip():
        "separer ved  ;"
        rows = line.strip().split(';')
        for i, number in enumerate(rows):
          if is_number(number):
              #converts to a number
              data.append(float(number))
          else:
              data.append(number)            
        data2.append(data)        
    else:
        print "Error no data in csv"    

 return data2

def plotit(Vector_B,Vector_results,Vector_Analy):
 plot(Vector_B,Vector_results,label="Measured")
 hold(True) 
 plot(Vector_B,Vector_Analy,label="Analytical") 
 xlabel('Flux Density mT')
 ylabel('Core Loss mW/cm^3')
 legend(loc='upper left')
 hold(False)   
 show()  
 return        
    

def Brochause_hyst_calcI():
 Loss_lfreq = read_csv("Torbjorn_HighFlux160_C058583A2_4khz_20C.csv")
 Loss_hfreq = read_csv("Torbjorn_HighFlux160_C058583A2_5khz_20C.csv")
 LossData   = read_csv("CoreLoss_data.csv")
 print LossData
 CoreData   = read_csv("CoreData.csv")
 Core = findCore(CoreData,"0077715A7 ")
 print Core
 T = 50
 Density    = 6.8 
 Vector_results = [] 
 Vector_B       = []  
 Vector_Analy    = [] 
 
 n = 0
 while n < len(Loss_lfreq)-1:
  freqL = 4000
  freqH = 5000
  lossH = Loss_hfreq[n][6]
  lossL = Loss_lfreq[n][6]
  
  b = (lossH/freqH-lossL/freqL)/(freqH-freqL)
  print b
  Ph = lossL/freqL+b*freqL  
  print Ph
  Vector_results.append(Ph*Density)
  Vector_B.append(Loss_lfreq[n][4]/1000)
  Vector_Analy.append(1000*CoreLosses(Core,T,Loss_lfreq[n][4]/1000,freqL,LossData,LossData,LossData)*1/((Core[10])/1000))
  n=n+3  
  
 plotit(Vector_B,Vector_results,Vector_Analy) 
Brochause_hyst_calcI()



