PSCAD 4.2.1

Settings
 {
 Id = "1237334295.1243430748"
 Author = "Keith.Keith"
 Desc = ""
 Arch = "windows"
 Options = 32
 Build = 18
 Warn = 1
 Check = 15
 Libs = ""
 Source = ""
 RunInfo = 
  {
  Fin = 0.5
  Step = 1e-005
  Plot = 0.0001
  Chat = 0.001
  Brch = 0.0005
  Lat = 100
  Options = 0
  Advanced = 4607
  Debug = 0
  StartFile = ""
  OFile = "noname.out"
  SFile = "noname.snp"
  SnapTime = 0.3
  Mruns = 10
  Mrunfile = 0
  StartType = 0
  PlotType = 0
  SnapType = 0
  MrunType = "mrun"
  }


Global_Consts = 
  {
  lu = 50 [uH]
  }

 }

Definitions
 {
 Module("Main")
  {
  Desc = ""
  FileDate = 1243430678
  Nodes = 
   {
   }

  Graphics = 
   {
   Rectangle(-18,-18,18,18)
   }


  Page(A/A4,Landscape,16,[640,468],5)
   {
   0.g6p200([594,162],0,0,310)
    {
    UP = "1"
    FP = "0"
    SNUB = "0"
    KV = "0"
    View = "0"
    FR = "60.0 [Hz]"
    GP = "10.0"
    GI = "100.0"
    KP = "1"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    CD = "0.05 [uF]"
    RD = "5000.0 [ohm]"
    FPNM = ""
    VVolt = ""
    VCurr = ""
    SCurr = ""
    }
   0.const([774,198],4,0,110)
    {
    Name = ""
    Value = "0"
    }
   0.const([774,234],4,0,120)
    {
    Name = ""
    Value = "1.0"
    }
   0.source_3([90,162],0,0,-1)
    {
    Name = "Source 1"
    Type = "6"
    Grnd = "1"
    View = "0"
    Spec = "0"
    VCtrl = "0"
    FCtrl = "0"
    Vm = "4.16 [kV]"
    Tc = "0.05 [s]"
    f = "60.0 [Hz]"
    Ph = "0.0 [deg]"
    Vbase = "230.0 [kV]"
    Sbase = "100.0 [MVA]"
    Vpu = "1.0 [pu]"
    PhT = "0.0 [deg]"
    Pinit = "0.0 [pu]"
    Qinit = "0.0 [pu]"
    R = "1 [mohm]"
    Rs = "1.0 [ohm]"
    Rp = "1.0 [ohm]"
    Lp = "0.1 [H]"
    R' = "1.0 [ohm]"
    L = "0.1 [H]"
    C = "1.0 [uF]"
    L' = "0.1 [H]"
    C' = "1.0 [uF]"
    IA = ""
    IB = ""
    IC = ""
    }
   0.inductor([432,126],6,0,-1)
    {
    L = "$(lu)"
    }
   -Wire-([486,126],0,0,-1)
    {
    Vertex="0,0;-18,0"
    }
   0.inductor([432,162],6,0,-1)
    {
    L = "$(lu)"
    }
   -Wire-([486,162],0,0,-1)
    {
    Vertex="0,0;-18,0"
    }
   0.inductor([432,198],6,0,-1)
    {
    L = "$(lu)"
    }
   -Wire-([486,198],0,0,-1)
    {
    Vertex="0,0;-18,0"
    }
   0.ammeter([396,126],0,0,40)
    {
    Name = "iar"
    }
   0.ammeter([396,162],0,0,80)
    {
    Name = "ibr"
    }
   0.ammeter([396,198],0,0,100)
    {
    Name = "icr"
    }
   0.inductor([756,54],6,0,-1)
    {
    L = "500 [uH]"
    }
   -Wire-([594,54],0,0,-1)
    {
    Vertex="0,0;162,0"
    }
   -Wire-([792,54],0,0,-1)
    {
    Vertex="0,0;90,0"
    }
   -Wire-([594,270],0,0,-1)
    {
    Vertex="0,0;288,0"
    }
   0.resistor([882,180],3,0,-1)
    {
    R = "1.0 [ohm]"
    }
   0.capacitor([828,180],3,0,-1)
    {
    C = "5 [mF]"
    }
   -Wire-([882,54],0,0,-1)
    {
    Vertex="0,0;0,90"
    }
   -Wire-([882,180],0,0,-1)
    {
    Vertex="0,0;0,90"
    }
   -Wire-([828,54],0,0,-1)
    {
    Vertex="0,0;0,90"
    }
   -Wire-([828,180],0,0,-1)
    {
    Vertex="0,0;0,90"
    }
   0.pgb([1530,36],0,26830520,60)
    {
    Name = "vdcr"
    Group = ""
    Display = "0"
    Scale = "1000.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "0.0"
    Max = "7000.0"
    }
   0.datalabel([1530,36],0,0,-1)
    {
    Name = "vdcr"
    }
   0.nodeloop([378,162],0,0,70)
    {
    View = "0"
    }
   -Wire-([396,126],0,0,-1)
    {
    Vertex="0,0;-234,0"
    }
   -Wire-([396,162],0,0,-1)
    {
    Vertex="0,0;-270,0"
    }
   -Wire-([396,198],0,0,-1)
    {
    Vertex="0,0;-270,0"
    }
   -Wire-([378,90],0,0,-1)
    {
    Vertex="0,0;0,-36;144,-36"
    }
   0.tvekta([216,432],0,0,130)
    {
    Gp = "50.0"
    Gi = "900.0"
    Vbas = "1.0 [V]"
    Fbas = "60.0 [Hz]"
    Mode = "0"
    PMode = "0"
    THOFF = "1.5708"
    TREL = "0.05"
    dlead = "1"
    FName = ""
    Err = ""
    }
   0.datalabel([180,396],0,0,-1)
    {
    Name = "vas"
    }
   0.datalabel([180,468],0,0,-1)
    {
    Name = "vcs"
    }
   0.datalabel([180,432],0,0,-1)
    {
    Name = "vbs"
    }
   -Wire-([288,432],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   0.datalabel([504,396],2,0,-1)
    {
    Name = "iqre"
    }
   0.datalabel([504,468],2,0,-1)
    {
    Name = "idre"
    }
   0.pgb([1530,594],0,27567672,180)
    {
    Name = "iar"
    Group = ""
    Display = "0"
    Scale = "1000.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-7000.0"
    Max = "7000.0"
    }
   -Wire-([522,396],0,0,-1)
    {
    Vertex="0,0;-72,0"
    }
   -Wire-([522,468],0,0,-1)
    {
    Vertex="0,0;-36,0"
    }
   0.voltmetergnd([198,126],0,0,30)
    {
    Name = "vas"
    }
   0.voltmetergnd([198,162],0,0,50)
    {
    Name = "vbs"
    }
   0.voltmetergnd([198,198],0,0,90)
    {
    Name = "vcs"
    }
   0.realpole([558,396],0,0,200)
    {
    Limit = "0"
    COM = "Real_Pole"
    Reset = "0"
    YO = "0.0"
    G = "1.00"
    T = "10 [ms]"
    Max = "10.0"
    Min = "-10.0"
    }
   0.realpole([558,468],0,0,150)
    {
    Limit = "0"
    COM = "Real_Pole"
    Reset = "0"
    YO = "0.0"
    G = "1.00"
    T = "10 [ms]"
    Max = "10.0"
    Min = "-10.0"
    }
   0.sumjct([666,396],0,0,210)
    {
    DPath = "1"
    A = "0"
    B = "0"
    C = "0"
    D = "-1"
    E = "0"
    F = "1"
    G = "0"
    }
   0.sumjct([666,468],0,0,160)
    {
    DPath = "1"
    A = "0"
    B = "0"
    C = "0"
    D = "-1"
    E = "0"
    F = "1"
    G = "0"
    }
   -Wire-([666,432],0,0,-1)
    {
    Vertex="0,0;-162,0;-162,-36"
    }
   -Wire-([666,504],0,0,-1)
    {
    Vertex="0,0;-162,0;-162,-36"
    }
   0.datalabel([720,396],2,0,-1)
    {
    Name = "iqsetar"
    }
   0.datalabel([720,468],2,0,-1)
    {
    Name = "idsetar"
    }
   0.datalabel([864,396],2,0,-1)
    {
    Name = "iastar"
    }
   0.datalabel([864,414],2,0,-1)
    {
    Name = "ibstar"
    }
   0.datalabel([864,432],2,0,-1)
    {
    Name = "icstar"
    }
   0.src_ccin_1([234,270],1,0,280)
    {
    Name = "Source 1"
    Cntrl = "1"
    Vm = "132.79 [kA]"
    f = "60.0 [Hz]"
    Ph = "0.0 [deg]"
    Tc = "1.0 [s]"
    }
   0.src_ccin_1([288,270],1,0,260)
    {
    Name = "Source 1"
    Cntrl = "1"
    Vm = "132.79 [kA]"
    f = "60.0 [Hz]"
    Ph = "0.0 [deg]"
    Tc = "1.0 [s]"
    }
   0.src_ccin_1([342,270],1,0,250)
    {
    Name = "Source 1"
    Cntrl = "1"
    Vm = "132.79 [kA]"
    f = "60.0 [Hz]"
    Ph = "0.0 [deg]"
    Tc = "1.0 [s]"
    }
   0.datalabel([198,270],2,0,-1)
    {
    Name = "iastar"
    }
   0.datalabel([252,270],2,0,-1)
    {
    Name = "ibstar"
    }
   0.datalabel([306,270],2,0,-1)
    {
    Name = "icstar"
    }
   -Wire-([342,270],0,0,-1)
    {
    Vertex="0,0;0,-72"
    }
   -Wire-([288,270],0,0,-1)
    {
    Vertex="0,0;0,-108"
    }
   -Wire-([234,270],0,0,-1)
    {
    Vertex="0,0;0,-144"
    }
   -Wire-([234,306],0,0,-1)
    {
    Vertex="0,0;108,0"
    }
   0.ground([288,306],1,0,-1)
    {
    }
   0.ammeter([126,126],0,0,10)
    {
    Name = "iag"
    }
   0.datalabel([1530,594],0,0,-1)
    {
    Name = "iar"
    }
   0.voltmeter([864,54],0,0,20)
    {
    Name = "vdcr"
    }
   -Wire-([864,90],0,0,-1)
    {
    Vertex="0,0;0,180"
    }
   0.datalabel([612,396],2,0,-1)
    {
    Name = "iqref"
    }
   -Wire-([594,396],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([594,468],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.datalabel([612,468],2,0,-1)
    {
    Name = "idref"
    }
   0.pgb([1530,72],0,27171440,300)
    {
    Name = "iqre"
    Group = ""
    Display = "0"
    Scale = "1000.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "0.0"
    Max = "7000.0"
    }
   0.datalabel([1530,72],0,0,-1)
    {
    Name = "iqre"
    }
   0.pgb([1530,108],0,26249568,290)
    {
    Name = "iqref"
    Group = ""
    Display = "0"
    Scale = "1000.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "0.0"
    Max = "7000.0"
    }
   0.datalabel([1530,108],0,0,-1)
    {
    Name = "iqref"
    }
   0.pgb([1530,144],0,28717064,270)
    {
    Name = "idre"
    Group = ""
    Display = "0"
    Scale = "1000.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-3000.0"
    Max = "4000.0"
    }
   0.datalabel([1530,144],0,0,-1)
    {
    Name = "idre"
    }
   0.pgb([1530,180],0,26883888,240)
    {
    Name = "idref"
    Group = ""
    Display = "0"
    Scale = "1000.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-3000.0"
    Max = "4000.0"
    }
   0.datalabel([1530,180],0,0,-1)
    {
    Name = "idref"
    }
   0.pgb([1530,630],0,26223192,230)
    {
    Name = "iastar"
    Group = ""
    Display = "0"
    Scale = "1000.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-7000.0"
    Max = "7000.0"
    }
   0.datalabel([1530,630],0,0,-1)
    {
    Name = "iastar"
    }
   0.pgb([1530,666],0,26224256,190)
    {
    Name = "iag"
    Group = ""
    Display = "0"
    Scale = "1000.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-7000.0"
    Max = "7000.0"
    }
   0.datalabel([1530,666],0,0,-1)
    {
    Name = "iag"
    }
   0.abcdq0([414,414],0,0,140)
    {
    IDir = "1"
    Theta = "Qe"
    }
   -Wire-([450,414],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([486,414],0,0,-1)
    {
    Vertex="0,0;0,54"
    }
   0.datalabel([360,396],2,0,-1)
    {
    Name = "iar"
    }
   -Wire-([360,396],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   0.datalabel([360,432],2,0,-1)
    {
    Name = "icr"
    }
   -Wire-([360,432],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   0.datalabel([360,414],2,0,-1)
    {
    Name = "ibr"
    }
   -Wire-([360,414],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   0.datalabel([306,432],2,0,-1)
    {
    Name = "Qe"
    }
   0.abcdq0([810,414],0,0,220)
    {
    IDir = "0"
    Theta = "Qe"
    }
   -Wire-([702,396],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   -Wire-([774,414],0,0,-1)
    {
    Vertex="0,0;-18,0"
    }
   -Wire-([756,414],0,0,-1)
    {
    Vertex="0,0;0,54"
    }
   -Wire-([756,468],0,0,-1)
    {
    Vertex="0,0;-54,0"
    }
   -Wire-([846,396],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([846,414],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([846,432],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   0.const([738,504],0,0,170)
    {
    Name = ""
    Value = "0"
    }
   -Wire-([774,432],0,0,-1)
    {
    Vertex="0,0;0,72"
    }
   -Plot-([936,18],0)
    {
    Title = ""
    Draw = 1
    Area = [0,0,558,522]
    Posn = [936,18]
    Icon = [-1,-1]
    Extents = 0,0,558,522
    XLabel = " "
    AutoPan = "false,75"
    Graph([0,0],[0,0,558,153],"vdcr (V)")
     {
     Options = 0
     Units = ""
     Curve(26830520,"vdcr",0,,,)
     }
    Graph([0,153],[0,0,558,153],"")
     {
     Options = 0
     Units = ""
     Curve(27171440,"iqre",0,,,)
     Curve(26249568,"iqref",0,,,)
     }
    Graph([0,306],[0,0,558,153],"")
     {
     Options = 0
     Units = ""
     Curve(28717064,"idre",0,,,)
     Curve(26883888,"idref",0,,,)
     }
    }
   -Plot-([936,576],0)
    {
    Title = ""
    Draw = 1
    Area = [0,0,558,522]
    Posn = [936,576]
    Icon = [-1,-1]
    Extents = 0,0,558,522
    XLabel = " "
    AutoPan = "false,75"
    Graph([0,0],[0,0,558,153],"iar (A)")
     {
     Options = 0
     Units = ""
     Curve(27567672,"iar",0,,,)
     }
    Graph([0,153],[0,0,558,153],"iastar (A)")
     {
     Options = 0
     Units = ""
     Curve(26223192,"iastar",0,,,)
     }
    Graph([0,306],[0,0,558,153],"iag (A)")
     {
     Options = 0
     Units = ""
     Curve(26224256,"iag",0,,,)
     }
    }
   }
  }
 }

