PSCAD 4.2.1

Settings
 {
 Id = "1314619065.1347630239"
 Author = "sverresk.gf"
 Desc = ""
 Arch = "windows"
 Options = 32
 Build = 18
 Warn = 1
 Check = 15
 Libs = ""
 Source = ""
 RunInfo = 
  {
  Fin = 0.02
  Step = 1e-006
  Plot = 1e-006
  Chat = 0.001
  Brch = 0.0005
  Lat = 100
  Options = 0
  Advanced = 4607
  Debug = 0
  StartFile = ""
  OFile = "noname.out"
  SFile = "noname.snp"
  SnapTime = 0.3
  Mruns = 10
  Mrunfile = 0
  StartType = 0
  PlotType = 0
  SnapType = 0
  MrunType = "mrun"
  }


Global_Consts = 
  {
  freq = 1e4
  }

 }

Definitions
 {
 Module("Untitled_1")
  {
  Desc = ""
  FileDate = 0
  Nodes = 
   {
   }

  Graphics = 
   {
   Rectangle(-39,-39,39,39)
   Text(0,0,"$(Defn:Name)")
   }


  Page(A/A4,Landscape,16,[640,359],5)
   {
   }
  }
 Module("Main")
  {
  Desc = ""
  FileDate = 1347629598
  Nodes = 
   {
   }

  Graphics = 
   {
   Rectangle(-18,-18,18,18)
   }


  Page(A/A4,Landscape,16,[640,359],5)
   {
   0.source_1([396,216],7,0,-1)
    {
    Name = "Vsource"
    Type = "6"
    Grnd = "1"
    Spec = "0"
    Cntrl = "0"
    AC = "0"
    Vm = "0.100 [kV]"
    Tc = "0.0001 [s]"
    Ph = "0.0 [deg]"
    f = "60.0 [Hz]"
    P = "0.0 [MW]"
    Q = "0.0 [MVAR]"
    R = "1.0 [ohm]"
    Rs = "1.0 [ohm]"
    Rp = "1.0 [ohm]"
    Lp = "0.1 [H]"
    R' = "1.0 [ohm]"
    L = "0.1 [H]"
    C = "1.0 [uF]"
    L' = "0.1 [H]"
    C' = "1.0 [uF]"
    CUR = ""
    }
   0.ammeter([450,90],0,0,20)
    {
    Name = "Id"
    }
   -Wire-([396,180],0,0,-1)
    {
    Vertex="0,0;0,-90;54,-90"
    }
   0.peswitch([522,108],2,0,260)
    {
    L = "I"
    Type = "3"
    SNUB = "0"
    INTR = "0"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   -Wire-([486,90],0,0,-1)
    {
    Vertex="0,0;36,0;36,18"
    }
   0.peswitch([522,234],0,0,-1)
    {
    L = "I"
    Type = "0"
    SNUB = "0"
    INTR = "0"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   -Wire-([522,144],0,0,-1)
    {
    Vertex="0,0;0,54"
    }
   -Wire-([522,180],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   0.inductor([630,180],2,0,-1)
    {
    L = "0.0025 [H]"
    }
   0.capacitor([720,198],1,0,-1)
    {
    C = "2.5 [uF]"
    }
   0.ammeter([648,180],0,0,50)
    {
    Name = "Iinductor"
    }
   0.ammeter([738,180],0,0,60)
    {
    Name = "Io"
    }
   -Wire-([630,180],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([684,180],0,0,-1)
    {
    Vertex="0,0;54,0"
    }
   -Wire-([720,198],0,0,-1)
    {
    Vertex="0,0;0,-18"
    }
   0.resistor([846,198],1,0,-1)
    {
    R = "10.0 [ohm]"
    }
   -Wire-([774,180],0,0,-1)
    {
    Vertex="0,0;72,0;72,18"
    }
   -Wire-([846,234],0,0,-1)
    {
    Vertex="0,0;0,18;-450,18"
    }
   -Wire-([522,234],0,0,-1)
    {
    Vertex="0,0;0,18"
    }
   -Wire-([720,234],0,0,-1)
    {
    Vertex="0,0;0,18"
    }
   0.voltmeter([792,198],0,0,70)
    {
    Name = "Vo"
    }
   0.voltmeter([432,162],0,0,40)
    {
    Name = "Vd"
    }
   -Wire-([432,198],0,0,-1)
    {
    Vertex="0,0;0,54"
    }
   -Wire-([432,162],0,0,-1)
    {
    Vertex="0,0;0,-72"
    }
   -Wire-([792,198],0,0,-1)
    {
    Vertex="0,0;0,-18"
    }
   -Wire-([792,234],0,0,-1)
    {
    Vertex="0,0;0,18"
    }
   0.datalabel([792,36],0,0,-1)
    {
    Name = "Vd"
    }
   0.datalabel([792,72],0,0,-1)
    {
    Name = "Vo"
    }
   -Wire-([792,36],0,0,-1)
    {
    Vertex="0,0;54,0"
    }
   -Wire-([792,72],0,0,-1)
    {
    Vertex="0,0;54,0"
    }
   0.pgb([846,36],0,87335696,290)
    {
    Name = "Vd"
    Group = ""
    Display = "0"
    Scale = "1000"
    Units = "V"
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.pgb([846,72],0,87336104,270)
    {
    Name = "Vo"
    Group = ""
    Display = "0"
    Scale = "1000"
    Units = "V"
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.datalabel([810,324],0,0,-1)
    {
    Name = "Id"
    }
   0.datalabel([810,360],0,0,-1)
    {
    Name = "Io"
    }
   -Wire-([810,324],0,0,-1)
    {
    Vertex="0,0;54,0"
    }
   -Wire-([810,360],0,0,-1)
    {
    Vertex="0,0;54,0"
    }
   0.pgb([864,324],0,87337328,120)
    {
    Name = "Id"
    Group = ""
    Display = "0"
    Scale = "1e3"
    Units = "A"
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.pgb([864,360],0,87337736,140)
    {
    Name = "Io"
    Group = ""
    Display = "0"
    Scale = "1e3"
    Units = "A"
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.datalabel([810,396],0,0,-1)
    {
    Name = "Iinductor"
    }
   -Wire-([810,396],0,0,-1)
    {
    Vertex="0,0;54,0"
    }
   0.pgb([864,396],0,87338552,150)
    {
    Name = "Iinductor"
    Group = ""
    Display = "0"
    Scale = "1e3"
    Units = "A"
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.compar([306,414],0,0,190)
    {
    Pulse = "0"
    INTR = "0"
    OPos = "1"
    ONone = "0"
    ONeg = "1"
    OHi = "1"
    OLo = "0"
    }
   0.signalgen([234,504],0,0,160)
    {
    F = "$(freq)"
    P = "0.0 [deg]"
    Type = "1"
    Duty = "50 [%]"
    Max = "1"
    Min = "0"
    INTR = "0"
    }
   -Wire-([270,504],0,0,-1)
    {
    Vertex="0,0;18,0;18,-54;36,-54"
    }
   -Wire-([270,414],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([378,414],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   0.datalabel([396,414],0,0,-1)
    {
    Name = "sw_1"
    }
   0.datalabel([486,144],0,0,-1)
    {
    Name = "sw_1"
    }
   0.datalabel([288,486],0,0,-1)
    {
    Name = "carrier"
    }
   0.datalabel([270,414],0,0,-1)
    {
    Name = "m"
    }
   0.datalabel([90,432],0,0,-1)
    {
    Name = "m"
    }
   0.datalabel([90,468],0,0,-1)
    {
    Name = "sw_1"
    }
   0.datalabel([90,504],0,0,-1)
    {
    Name = "carrier"
    }
   0.pgb([126,432],0,87342632,130)
    {
    Name = "modulation indexc"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   -Wire-([90,432],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.pgb([126,468],0,87343040,240)
    {
    Name = "Switch input"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.pgb([126,504],0,87343448,230)
    {
    Name = "Carrier sig"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   -Wire-([90,468],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([90,504],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Plot-([918,306],0)
    {
    Title = "$(GROUP) : Graphs"
    Draw = 1
    Area = [0,0,0,0]
    Posn = [918,306]
    Icon = [-1,-1]
    Extents = 0,0,576,288
    XLabel = " "
    AutoPan = "false,75"
    Graph([0,0],[0,0,576,225],"y")
     {
     Options = 129
     Units = ""
     Curve(87337328,"Id",0,,-2,)
     Curve(87337736,"Io",0,,,)
     Curve(87338552,"Iinductor",0,,,)
     }
    }
   0.Sequencer_Start([126,324],0,0,80)
    {
    loop = "0"
    State = "1"
    }
   0.Sequencer_SetVar([234,324],0,0,90)
    {
    Variable = "m"
    VarType = "0"
    RValue = "0.2"
    IValue = "1"
    State = "1"
    }
   0.Sequencer_Wait([342,324],0,0,100)
    {
    WaitType = "0"
    CrossDir = "1"
    FixedDelay = "0.01 [s]"
    Min = "0.0 [s]"
    Max = "1.0 [s]"
    UntilTime = "1.0 [s]"
    CrossValue = "0.0"
    CrossSig = "VA"
    State = "1"
    }
   0.Sequencer_SetVar([450,324],0,0,110)
    {
    Variable = "m"
    VarType = "0"
    RValue = "0.8"
    IValue = "1"
    State = "1"
    }
   -Plot-([0,576],0)
    {
    Title = "$(GROUP) : Graphs"
    Draw = 1
    Area = [0,0,0,0]
    Posn = [0,576]
    Icon = [-1,-1]
    Extents = 0,0,576,288
    XLabel = " "
    AutoPan = "false,75"
    Graph([0,0],[0,0,576,225],"y")
     {
     Options = 129
     Units = ""
     Curve(87342632,"modulation indexc",0,1,,)
     Curve(87343040,"Switch input",0,,-2,)
     Curve(87343448,"Carrier sig",0,,-2,)
     }
    }
   -Divider-([0,270],0)
    {
    Size(612,0)
    3D = 1
    Color = 9
    Style = 0
    Weight = 2
    }
   -Divider-([612,270],0)
    {
    Size(0,630)
    3D = 1
    Color = 9
    Style = 0
    Weight = 2
    }
   -Sticky-([432,360],0)
    {
    Name = ""
    Font = 1
    Bounds = 432,360,594,558
    Alignment = 0
    Style = 1
    Arrow = 2
    Color = 0,15792890
    Text = "\
Modulation control

Carrier is the triangular waveform used for control, while m is the modulation index. The comparison between these two yields the duty cycle, seen as T_on being 1 at the output of the comparator.

T_on = 1 => Transistor is on (conducts)"
    }
   -Plot-([918,18],0)
    {
    Title = "Voltages"
    Draw = 1
    Area = [0,0,0,0]
    Posn = [918,18]
    Icon = [-1,-1]
    Extents = 0,0,576,288
    XLabel = " "
    AutoPan = "false,75"
    Graph([0,0],[0,0,576,225],"y")
     {
     Options = 1
     Units = ""
     Curve(87335696,"Vd",0,,,)
     Curve(87336104,"Vo",0,,,)
     }
    }
   0.peswitch([270,126],2,0,280)
    {
    L = "2"
    Type = "3"
    SNUB = "0"
    INTR = "0"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   -Wire-([270,126],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   0.source_1([54,72],7,0,-1)
    {
    Name = "Source1"
    Type = "6"
    Grnd = "0"
    Spec = "0"
    Cntrl = "0"
    AC = "0"
    Vm = "600"
    Tc = "0"
    Ph = "0.0 [deg]"
    f = "60.0 [Hz]"
    P = "0.0 [MW]"
    Q = "0.0 [MVAR]"
    R = "0"
    Rs = "1.0 [ohm]"
    Rp = "1.0 [ohm]"
    Lp = "0.1 [H]"
    R' = "1.0 [ohm]"
    L = "0.1 [H]"
    C = "1.0 [uF]"
    L' = "0.1 [H]"
    C' = "1.0 [uF]"
    CUR = ""
    }
   0.inv([198,162],0,0,250)
    {
    INTR = "0"
    }
   -Wire-([270,198],0,0,-1)
    {
    Vertex="0,0;36,0;36,-18"
    }
   -Wire-([306,144],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   -Wire-([270,36],0,0,-1)
    {
    Vertex="0,0;36,0;36,36"
    }
   -Wire-([270,108],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.peswitch([270,54],2,0,300)
    {
    L = "I"
    Type = "3"
    SNUB = "0"
    INTR = "0"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.ground([54,198],2,0,-1)
    {
    }
   0.voltmeter([90,144],0,0,30)
    {
    Name = "V2"
    }
   0.voltmeter([360,54],0,0,10)
    {
    Name = "V1"
    }
   -Wire-([306,108],0,0,-1)
    {
    Vertex="0,0;54,0;54,-18"
    }
   -Wire-([306,36],0,0,-1)
    {
    Vertex="0,0;54,0;54,18"
    }
   -Wire-([306,198],0,0,-1)
    {
    Vertex="0,0;54,0;54,-18"
    }
   -Wire-([360,144],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   0.source_1([54,144],7,0,-1)
    {
    Name = "Source1"
    Type = "6"
    Grnd = "0"
    Spec = "0"
    Cntrl = "0"
    AC = "0"
    Vm = "600"
    Tc = "0"
    Ph = "0.0 [deg]"
    f = "60.0 [Hz]"
    P = "0.0 [MW]"
    Q = "0.0 [MVAR]"
    R = "0"
    Rs = "1.0 [ohm]"
    Rp = "1.0 [ohm]"
    Lp = "0.1 [H]"
    R' = "1.0 [ohm]"
    L = "0.1 [H]"
    C = "1.0 [uF]"
    L' = "0.1 [H]"
    C' = "1.0 [uF]"
    CUR = ""
    }
   -Wire-([270,198],0,0,-1)
    {
    Vertex="0,0;-216,0;-216,-18"
    }
   -Wire-([54,36],0,0,-1)
    {
    Vertex="0,0;216,0;216,18"
    }
   -Wire-([270,162],0,0,-1)
    {
    Vertex="0,0;0,36"
    }
   0.resistor([234,108],0,0,-1)
    {
    R = "100.0 [ohm]"
    }
   0.peswitch([306,108],0,0,-1)
    {
    L = "D"
    Type = "0"
    SNUB = "0"
    INTR = "1"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([306,180],0,0,-1)
    {
    L = "D"
    Type = "0"
    SNUB = "0"
    INTR = "1"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([306,108],0,0,-1)
    {
    L = "D"
    Type = "0"
    SNUB = "0"
    INTR = "1"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.datalabel([234,90],0,0,-1)
    {
    Name = "sw_1"
    }
   0.datalabel([198,162],0,0,-1)
    {
    Name = "sw_1"
    }
   0.pgb([1116,594],0,89290776,220)
    {
    Name = "<Untitled>"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   -Plot-([720,648],0)
    {
    Title = "$(GROUP) : Graphs"
    Draw = 1
    Area = [0,0,0,0]
    Posn = [720,648]
    Icon = [-1,-1]
    Extents = 0,0,576,288
    XLabel = " "
    AutoPan = "false,75"
    Graph([0,0],[0,0,576,225],"y")
     {
     Options = 128
     Units = ""
     Curve(89290776,"<Untitled>",0,,,)
     Curve(89291184,"<Untitled>",0,,,)
     }
    }
   0.pgb([1188,594],0,89291184,210)
    {
    Name = "<Untitled>"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.pgb([630,1152],0,89292000,170)
    {
    Name = "<Untitled>"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.datalabel([630,1152],0,0,-1)
    {
    Name = "V1"
    }
   0.pgb([630,1188],0,89292816,180)
    {
    Name = "<Untitled>"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.datalabel([630,1188],0,0,-1)
    {
    Name = "V2"
    }
   -Plot-([720,936],0)
    {
    Title = "$(GROUP) : Graphs"
    Draw = 1
    Area = [0,0,0,0]
    Posn = [720,936]
    Icon = [-1,-1]
    Extents = 0,0,576,288
    XLabel = " "
    AutoPan = "false,75"
    Graph([0,0],[0,0,576,225],"y")
     {
     Options = 128
     Units = ""
     Curve(89292816,"<Untitled>",0,,,)
     Curve(89292000,"<Untitled>",0,,,)
     }
    }
   0.inv([1080,594],0,0,200)
    {
    INTR = "0"
    }
   0.datalabel([1080,594],0,0,-1)
    {
    Name = "sw_1"
    }
   0.datalabel([1188,594],0,0,-1)
    {
    Name = "sw_1"
    }
   0.inductor([234,108],2,0,-1)
    {
    L = "0.0025 [H]"
    }
   -Wire-([198,108],0,0,-1)
    {
    Vertex="0,0;-144,0"
    }
   0.capacitor([144,144],1,0,-1)
    {
    C = "0.01 [uF]"
    }
   0.capacitor([144,54],1,0,-1)
    {
    C = "0.01 [uF]"
    }
   -Wire-([144,90],0,0,-1)
    {
    Vertex="0,0;0,54"
    }
   -Wire-([144,180],0,0,-1)
    {
    Vertex="0,0;0,18"
    }
   -Wire-([144,54],0,0,-1)
    {
    Vertex="0,0;0,-18"
    }
   -Wire-([90,144],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   -Wire-([90,180],0,0,-1)
    {
    Vertex="0,0;0,18"
    }
   }
  }
 }

