PSCAD 4.2.1

Settings
 {
 Id = "1196912040.1226636182"
 Author = "U of M.dharshana"
 Desc = ""
 Arch = "windows"
 Options = 32
 Build = 18
 Warn = 1
 Check = 15
 Libs = ""
 Source = ""
 RunInfo = 
  {
  Fin = 20
  Step = 5e-006
  Plot = 5e-005
  Chat = 0.001
  Brch = 5e-005
  Lat = 100
  Options = 0
  Advanced = 4607
  Debug = 0
  StartFile = ""
  OFile = "noname.out"
  SFile = "noname.snp"
  SnapTime = 0.3
  Mruns = 10
  Mrunfile = 0
  StartType = 0
  PlotType = 0
  SnapType = 0
  MrunType = "mrun"
  }

 }

Definitions
 {
 Module("Graphs_01")
  {
  Desc = ""
  FileDate = 0
  Nodes = 
   {
   }

  Graphics = 
   {
   Pen(Red,,0.6)
   Brush(Solid,Yellow)
   Rectangle(-39,-39,39,39)
   Text(0,-13,"Graphs")
   Text(0,6,"and")
   Text(0,25,"Controls")
   }


  Page(E_JUMBO,Landscape,16,[510,349],5)
   {
   -XYPlot-(18,828,612,1368)
    {
    Title = "I-V Characteristics and MPP tracking"
    Options = 37
    State = 1
    Icon = -1,-1
    Posn = 18,828
    Extents = 0,0,594,540
    Curve(108335232,"VpvX",0,,,)
    Curve(108334416,"IpvX",0,,,)
    Curve(108336864,"Vpv",0,1,,)
    Curve(108336048,"Ipv",0,1,,)
    }
   -Plot-([1278,180],0)
    {
    Title = "Inverter Control and Real and Reactive Power Output"
    Draw = 1
    Area = [0,0,666,702]
    Posn = [1278,180]
    Icon = [-1,-1]
    Extents = 0,0,666,702
    XLabel = " "
    AutoPan = "false,75"
    Graph([0,0],[0,0,666,128],"y")
     {
     Options = 1
     Units = ""
     Curve(99660328,"Ang",0,,,)
     }
    Graph([0,128],[0,0,666,128],"y")
     {
     Options = 1
     Units = ""
     Curve(98999240,"P",0,,,)
     }
    Graph([0,256],[0,0,666,128],"y")
     {
     Options = 1
     Units = ""
     Curve(99660736,"Mag",0,,,)
     }
    Graph([0,384],[0,0,666,128],"y")
     {
     Options = 1
     Units = ""
     Curve(99654616,"Q",0,,,)
     }
    Graph([0,512],[0,0,666,127],"y")
     {
     Options = 1
     Units = ""
     Curve(99655432,"Vrms",0,,,)
     }
    }
   -ControlPanel-([54,18],0)
    {
    Name = "$(GROUP) : Controls"
    Flags = 0
    State = 1
    Icon = -1,-1
    Posn = 54,18
    Extents = 0,0,288,144
    Slider(98995160)
    Slider(108318912)
    Slider(108322584)
    Slider(108322992)
    Switch(108327888)
    }
   -Plot-([1278,882],0)
    {
    Title = "$(GROUP) : Graphs"
    Draw = 1
    Area = [0,0,666,396]
    Posn = [1278,882]
    Icon = [-1,-1]
    Extents = 0,0,666,396
    XLabel = " "
    AutoPan = "false,75"
    Graph([0,0],[0,0,666,167],"y")
     {
     Options = 1
     Units = ""
     Curve(99657880,"E2",0,,,)
     }
    Graph([0,167],[0,0,666,166],"y")
     {
     Options = 33
     Units = ""
     Curve(99657064,"I2",0,,,)
     }
    }
   -Sticky-([450,18],0)
    {
    Name = ""
    Font = 1
    Bounds = 450,18,972,234
    Alignment = 0
    Style = 1
    Arrow = 0
    Color = 0,15792890
    Text = "\
1) Turn off the MPPT, run the simulation.
2) Observe various graps, PV output V, I and P, also the inverter output P,Q, Vrms, Irms, DC-DC converter duty cycle, etc.
3) Observe the I-V curve and operating point
3) Change the radiation level and observe the response
4) Change the temperature and observe the response
5) Turn on the MPPT and observe 
 - the change in PV output voltage
- operating point on the I-V curve
6) Change the solar radiation level and observe the above
7) Change the temperature and observe the above
"
    }
   -Plot-([630,252],0)
    {
    Title = "DC-DC Converter details"
    Draw = 1
    Area = [0,0,630,504]
    Posn = [630,252]
    Icon = [-1,-1]
    Extents = 0,0,630,504
    XLabel = " "
    AutoPan = "false,75"
    Graph([0,0],[0,0,630,111],"y")
     {
     Options = 1
     Units = ""
     Curve(108318504,"Duty",0,,,)
     }
    Graph([0,111],[0,0,630,110],"y")
     {
     Options = 1
     Units = ""
     Curve(108317688,"T1",0,,,)
     }
    Graph([0,221],[0,0,630,110],"y")
     {
     Options = 1
     Units = ""
     Curve(108321768,"Icon",0,,,)
     }
    Graph([0,331],[0,0,630,110],"y")
     {
     Options = 1
     Units = ""
     Curve(108317280,"Vpv",0,,,)
     Curve(99661960,"dcVltg",0,,,)
     }
    }
   -Plot-([18,252],0)
    {
    Title = "PV array output and MPPT control"
    Draw = 1
    Area = [0,0,594,630]
    Posn = [18,252]
    Icon = [-1,-1]
    Extents = 0,0,594,630
    XLabel = " "
    AutoPan = "false,75"
    Graph([0,0],[0,0,594,142],"y")
     {
     Options = 1
     Units = ""
     Curve(108317280,"Vpv",0,,,)
     }
    Graph([0,142],[0,0,594,142],"y")
     {
     Options = 1
     Units = ""
     Curve(108324216,"Vmppt",0,,,)
     }
    Graph([0,284],[0,0,594,142],"y")
     {
     Options = 1
     Units = ""
     Curve(108336048,"Ipv",0,,,)
     }
    Graph([0,426],[0,0,594,141],"y")
     {
     Options = 1
     Units = ""
     Curve(108325032,"Parray",0,,,)
     }
    }
   }
  }
 Module("Main")
  {
  Desc = ""
  FileDate = 0
  Nodes = 
   {
   }

  Graphics = 
   {
   Brush(Solid,Olive)
   Rectangle(-18,-18,18,18)
   }


  Page(E_JUMBO,Landscape,144,[510,349],5)
   {
   -Wire-([486,630],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   -Wire-([1296,378],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   -Wire-([1188,378],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   -Wire-([1080,378],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   -Wire-([1296,558],0,0,-1)
    {
    Vertex="0,0;0,-144"
    }
   -Wire-([1188,558],0,0,-1)
    {
    Vertex="0,0;0,-144"
    }
   -Wire-([1080,558],0,0,-1)
    {
    Vertex="0,0;0,-144"
    }
   -Wire-([1296,630],0,0,-1)
    {
    Vertex="0,0;-414,0"
    }
   -Wire-([1296,630],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   -Wire-([1188,630],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   -Wire-([1080,630],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   -Wire-([1512,486],0,0,-1)
    {
    Vertex="0,0;-324,0"
    }
   -Wire-([1512,522],0,0,-1)
    {
    Vertex="0,0;-432,0"
    }
   0.datalabel([1332,414],4,0,-1)
    {
    Name = "gt1"
    }
   0.datalabel([1116,594],4,0,-1)
    {
    Name = "gt2"
    }
   0.datalabel([1224,414],4,0,-1)
    {
    Name = "gt3"
    }
   0.datalabel([1332,594],4,0,-1)
    {
    Name = "gt4"
    }
   0.datalabel([1116,414],4,0,-1)
    {
    Name = "gt5"
    }
   0.datalabel([1224,594],4,0,-1)
    {
    Name = "gt6"
    }
   -Wire-([1188,414],0,0,-1)
    {
    Vertex="0,0;-36,0"
    }
   -Wire-([1188,378],0,0,-1)
    {
    Vertex="0,0;-36,0"
    }
   -Wire-([1080,414],0,0,-1)
    {
    Vertex="0,0;-36,0"
    }
   -Wire-([1080,378],0,0,-1)
    {
    Vertex="0,0;-36,0"
    }
   -Wire-([1296,594],0,0,-1)
    {
    Vertex="0,0;-36,0"
    }
   -Wire-([1296,558],0,0,-1)
    {
    Vertex="0,0;-36,0"
    }
   -Wire-([1188,594],0,0,-1)
    {
    Vertex="0,0;-36,0"
    }
   -Wire-([1188,558],0,0,-1)
    {
    Vertex="0,0;-36,0"
    }
   -Wire-([1080,594],0,0,-1)
    {
    Vertex="0,0;-36,0"
    }
   -Wire-([1080,558],0,0,-1)
    {
    Vertex="0,0;-36,0"
    }
   -Wire-([1296,414],0,0,-1)
    {
    Vertex="0,0;-36,0"
    }
   -Wire-([1296,378],0,0,-1)
    {
    Vertex="0,0;-36,0"
    }
   0.peswitch([1296,378],6,0,720)
    {
    L = "1"
    Type = "3"
    SNUB = "0"
    INTR = "0"
    RON = "0.00005 [ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [usec]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = "Igto1"
    It = ""
    V = "Vgto1"
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.pin([1296,450],0,0,-1)
    {
    }
   0.pin([1188,486],0,0,-1)
    {
    }
   0.pin([1080,522],0,0,-1)
    {
    }
   0.voltmeter([1404,594],0,0,100)
    {
    Name = "Ea"
    }
   -Wire-([936,630],0,0,-1)
    {
    Vertex="0,0;0,-144"
    }
   0.voltmeter([1368,594],0,0,80)
    {
    Name = "Ec"
    }
   -Wire-([1368,522],0,0,-1)
    {
    Vertex="0,0;0,72"
    }
   0.voltmeter([1386,594],0,0,90)
    {
    Name = "Eb"
    }
   -Wire-([1386,486],0,0,-1)
    {
    Vertex="0,0;0,108"
    }
   -Wire-([1404,450],0,0,-1)
    {
    Vertex="0,0;0,144"
    }
   0.voltmeter([1422,450],0,0,30)
    {
    Name = "Eab"
    }
   0.voltmeter([1440,486],0,0,40)
    {
    Name = "Ebc"
    }
   0.ammeter([1026,342],0,0,10)
    {
    Name = "Idc"
    }
   -Wire-([1296,342],0,0,-1)
    {
    Vertex="0,0;-234,0"
    }
   0.peswitch([1188,378],6,0,730)
    {
    L = "3"
    Type = "3"
    SNUB = "0"
    INTR = "0"
    RON = "0.00005 [ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [usec]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([1080,378],6,0,740)
    {
    L = "5"
    Type = "3"
    SNUB = "0"
    INTR = "0"
    RON = "0.00005 [ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [usec]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([1080,558],6,0,710)
    {
    L = "2"
    Type = "3"
    SNUB = "0"
    INTR = "0"
    RON = "0.00005 [ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [usec]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([1188,558],6,0,700)
    {
    L = "6"
    Type = "3"
    SNUB = "0"
    INTR = "0"
    RON = "0.00005 [ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [usec]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([1296,558],6,0,690)
    {
    L = "4"
    Type = "3"
    SNUB = "0"
    INTR = "0"
    RON = "0.00005 [ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [usec]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([1260,414],0,0,-1)
    {
    L = "1"
    Type = "0"
    SNUB = "0"
    INTR = "0"
    RON = "0.00005 [ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [usec]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([1152,414],0,0,-1)
    {
    L = "3"
    Type = "0"
    SNUB = "0"
    INTR = "0"
    RON = "0.00005 [ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [usec]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([1044,414],0,0,-1)
    {
    L = "5"
    Type = "0"
    SNUB = "0"
    INTR = "0"
    RON = "0.00005 [ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [usec]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([1044,594],0,0,-1)
    {
    L = "2"
    Type = "0"
    SNUB = "0"
    INTR = "0"
    RON = "0.00005 [ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [usec]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([1152,594],0,0,-1)
    {
    L = "6"
    Type = "0"
    SNUB = "0"
    INTR = "0"
    RON = "0.00005 [ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [usec]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([1260,594],0,0,-1)
    {
    L = "4"
    Type = "0"
    SNUB = "0"
    INTR = "0"
    RON = "0.00005 [ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [usec]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   -Wire-([1512,450],0,0,-1)
    {
    Vertex="0,0;-216,0"
    }
   0.voltmeter([936,450],0,0,20)
    {
    Name = "dcVltg"
    }
   0.source_3([1926,486],4,0,-1)
    {
    Name = "Source 1"
    Type = "6"
    Grnd = "1"
    View = "1"
    Spec = "0"
    VCtrl = "0"
    FCtrl = "0"
    Vm = "138"
    Tc = "0.05"
    f = "60.0 [Hz]"
    Ph = "0"
    Vbase = "230.0 [kV]"
    Sbase = "100.0 [MVA]"
    Vpu = "1.0 [pu]"
    PhT = "0.0 [deg]"
    Pinit = "0.0 [pu]"
    Qinit = "0.0 [pu]"
    R = "1.0 [ohm]"
    Rs = "1.0 [ohm]"
    Rp = "1.0 [ohm]"
    Lp = "0.1 [H]"
    R' = "1.0 [ohm]"
    L = "0.1 [H]"
    C = "1.0 [uF]"
    L' = "0.028"
    C' = "1.0 [uF]"
    IA = ""
    IB = ""
    IC = ""
    }
   -Wire-([738,468],0,0,-1)
    {
    Vertex="0,0;0,-126"
    }
   0.compar([1782,1098],0,0,480)
    {
    Pulse = "0"
    INTR = "0"
    OPos = "1"
    ONone = "0"
    ONeg = "1"
    OHi = "1"
    OLo = "0"
    }
   0.pgb([1944,1098],0,98982104,610)
    {
    Name = "pulse1"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "0.0"
    Max = "1.0"
    }
   -Wire-([1674,1134],0,0,-1)
    {
    Vertex="0,0;108,0"
    }
   -Wire-([1566,1098],0,0,-1)
    {
    Vertex="0,0;216,0"
    }
   0.pin([1764,1098],0,0,-1)
    {
    }
   -Wire-([1764,1098],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   -Wire-([1764,1062],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.pgb([1800,1062],0,98982920,630)
    {
    Name = "sine1"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-1.0"
    Max = "1.0"
    }
   0.pin([1764,1134],0,0,-1)
    {
    }
   -Wire-([1764,1332],0,0,-1)
    {
    Vertex="0,0;0,-198"
    }
   -Wire-([1764,1170],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   0.pgb([1836,1170],0,98983736,590)
    {
    Name = "triangle"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.compar([1782,1206],0,0,410)
    {
    Pulse = "0"
    INTR = "0"
    OPos = "1"
    ONone = "0"
    ONeg = "1"
    OHi = "1"
    OLo = "0"
    }
   -Wire-([1566,1206],0,0,-1)
    {
    Vertex="0,0;216,0"
    }
   0.sumjct([1386,1170],0,0,390)
    {
    DPath = "1"
    A = "0"
    B = "0"
    C = "0"
    D = "1"
    E = "0"
    F = "-1"
    G = "0"
    }
   0.const([1350,1206],0,0,270)
    {
    Name = "(2*pi)/3"
    Value = "120"
    }
   0.compar([1782,1296],0,0,450)
    {
    Pulse = "0"
    INTR = "0"
    OPos = "1"
    ONone = "0"
    ONeg = "1"
    OHi = "1"
    OLo = "0"
    }
   0.sumjct([1386,1278],0,0,430)
    {
    DPath = "1"
    A = "0"
    B = "0"
    C = "0"
    D = "1"
    E = "0"
    F = "1"
    G = "0"
    }
   0.const([1350,1314],0,0,280)
    {
    Name = "(2*pi)/3"
    Value = "120"
    }
   0.pin([1764,1170],0,0,-1)
    {
    }
   -Wire-([1764,1242],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([1782,1332],0,0,-1)
    {
    Vertex="0,0;-18,0"
    }
   0.pin([1764,1242],0,0,-1)
    {
    }
   0.pgb([1944,1206],0,98987408,570)
    {
    Name = "pulse2"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "0.0"
    Max = "1.0"
    }
   0.pgb([1944,1296],0,98987816,540)
    {
    Name = "pulse3"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "0.0"
    Max = "1.0"
    }
   0.pin([1746,1206],0,0,-1)
    {
    }
   -Wire-([1746,1242],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   0.pgb([1746,1242],4,98988632,560)
    {
    Name = "sine2"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-1.0"
    Max = "1.0"
    }
   0.pin([1746,1296],0,0,-1)
    {
    }
   -Wire-([1746,1332],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   0.pgb([1746,1332],4,98989448,530)
    {
    Name = "sine3"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-1.0"
    Max = "1.0"
    }
   -Wire-([1854,1098],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([1854,1206],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([1854,1296],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   0.datalabel([1944,1098],0,0,-1)
    {
    Name = "gt1"
    }
   0.datalabel([1944,1206],0,0,-1)
    {
    Name = "gt3"
    }
   0.datalabel([1944,1296],0,0,-1)
    {
    Name = "gt5"
    }
   0.inv([2070,1098],0,0,520)
    {
    INTR = "0"
    }
   0.datalabel([2034,1098],0,0,-1)
    {
    Name = "gt1"
    }
   -Wire-([2034,1098],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([2106,1098],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.datalabel([2214,1098],0,0,-1)
    {
    Name = "gt4"
    }
   0.inv([2070,1170],0,0,510)
    {
    INTR = "0"
    }
   0.datalabel([2034,1170],0,0,-1)
    {
    Name = "gt3"
    }
   -Wire-([2034,1170],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([2106,1170],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.datalabel([2214,1170],0,0,-1)
    {
    Name = "gt6"
    }
   0.inv([2070,1242],0,0,500)
    {
    INTR = "0"
    }
   0.datalabel([2034,1242],0,0,-1)
    {
    Name = "gt5"
    }
   -Wire-([2034,1242],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([2106,1242],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.datalabel([2214,1242],0,0,-1)
    {
    Name = "gt2"
    }
   0.multimeter([1656,486],0,0,70)
    {
    MeasI = "1"
    MeasV = "1"
    MeasP = "1"
    MeasQ = "1"
    RMS = "2"
    MeasPh = "0"
    S = "1.0 [MVA]"
    BaseV = "1.0 [kV]"
    TS = "0.02 [s]"
    Freq = "60.0 [Hz]"
    Dis = "1"
    CurI = "I2"
    VolI = "E2"
    P = "P"
    Q = "Q"
    Vrms = "Vrms"
    Ph = ""
    hide1 = "1"
    hide2 = "1"
    Pd = "147"
    Qd = "-0.9869"
    Vd = "173.9"
    }
   -Wire-([1836,486],0,0,-1)
    {
    Vertex="0,0;54,0"
    }
   0.var([1350,1368],0,98995160,290)
    {
    Name = "Freq"
    Group = ""
    Display = "0"
    Max = "70"
    Min = "25"
    Value = "60.0"
    Units = ""
    Collect = "1"
    }
   0.datalabel([1458,1368],0,0,-1)
    {
    Name = "Freq"
    }
   0.modulator([1530,1098],0,0,470)
    {
    Type = "1"
    FMod = "1"
    PMod = "1"
    }
   0.datalabel([1530,1134],0,0,-1)
    {
    Name = "Freq"
    }
   -Wire-([1314,1080],0,0,-1)
    {
    Vertex="0,0;0,198;36,198"
    }
   -Wire-([1314,1170],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.modulator([1530,1206],0,0,400)
    {
    Type = "1"
    FMod = "1"
    PMod = "1"
    }
   0.modulator([1530,1314],0,0,440)
    {
    Type = "1"
    FMod = "1"
    PMod = "1"
    }
   -Wire-([1530,1062],0,0,-1)
    {
    Vertex="0,0;-216,0;-216,36"
    }
   -Wire-([1530,1170],0,0,-1)
    {
    Vertex="0,0;-108,0"
    }
   -Wire-([1530,1278],0,0,-1)
    {
    Vertex="0,0;-108,0"
    }
   0.datalabel([1530,1242],0,0,-1)
    {
    Name = "Freq"
    }
   -Wire-([1440,1008],0,0,-1)
    {
    Vertex="0,0;0,306;54,306"
    }
   -Wire-([1440,1206],0,0,-1)
    {
    Vertex="0,0;54,0"
    }
   -Wire-([1494,1098],0,0,-1)
    {
    Vertex="0,0;-54,0"
    }
   0.datalabel([954,1170],0,0,-1)
    {
    Name = "Mag"
    }
   0.datalabel([1440,1008],6,0,-1)
    {
    Name = "Mag"
    }
   -Wire-([1782,1296],0,0,-1)
    {
    Vertex="0,0;-216,0;-216,18"
    }
   0.datalabel([288,1188],0,0,-1)
    {
    Name = "P"
    }
   -Wire-([288,1188],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   0.pgb([360,1188],0,98999240,210)
    {
    Name = "P"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-10.0"
    Max = "70.0"
    }
   0.datalabel([288,1224],0,0,-1)
    {
    Name = "Q"
    }
   -Wire-([288,1224],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   0.pgb([360,1224],0,99654616,240)
    {
    Name = "Q"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-150.0"
    Max = "150.0"
    }
   0.datalabel([288,1260],0,0,-1)
    {
    Name = "Vrms"
    }
   -Wire-([288,1260],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   0.pgb([360,1260],0,99655432,260)
    {
    Name = "Vrms"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "0.0"
    Max = "225.0"
    }
   0.datalabel([954,1008],0,0,-1)
    {
    Name = "Ang"
    }
   -Wire-([1242,1080],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   0.datalabel([1242,1080],0,0,-1)
    {
    Name = "Ang"
    }
   0.datalabel([126,1116],0,0,-1)
    {
    Name = "I2"
    }
   -Wire-([126,1116],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   0.pgb([198,1116],0,99657064,160)
    {
    Name = "I2"
    Group = ""
    Display = "1"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-0.015"
    Max = "0.015"
    }
   0.datalabel([126,1152],0,0,-1)
    {
    Name = "E2"
    }
   -Wire-([126,1152],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   0.pgb([198,1152],0,99657880,180)
    {
    Name = "E2"
    Group = ""
    Display = "1"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-1.0"
    Max = "2.5"
    }
   0.pi_ctlr([882,1008],0,0,360)
    {
    GP = "0.5"
    TI = "1"
    YHI = "90"
    YLO = "-90"
    YINIT = "5"
    Mthd = "0"
    INTR = "0"
    }
   0.pi_ctlr([882,1170],0,0,380)
    {
    GP = "0.1"
    TI = "2"
    YHI = "1"
    YLO = "0.5"
    YINIT = "0.9"
    Mthd = "0"
    INTR = "0"
    }
   0.sumjct([756,1008],0,0,350)
    {
    DPath = "1"
    A = "0"
    B = "0"
    C = "0"
    D = "1"
    E = "0"
    F = "-1"
    G = "0"
    }
   0.sumjct([756,1170],0,0,370)
    {
    DPath = "1"
    A = "0"
    B = "0"
    C = "0"
    D = "1"
    E = "0"
    F = "-1"
    G = "0"
    }
   -Wire-([918,1008],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([918,1170],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([702,1044],0,0,-1)
    {
    Vertex="0,0;54,0"
    }
   0.datalabel([630,1206],0,0,-1)
    {
    Name = "Q"
    }
   -Wire-([702,1206],0,0,-1)
    {
    Vertex="0,0;54,0"
    }
   0.pgb([954,1008],0,99660328,640)
    {
    Name = "Ang"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "4.98"
    Max = "5.12"
    }
   0.pgb([954,1170],0,99660736,620)
    {
    Name = "Mag"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "0.82"
    Max = "1.0"
    }
   0.breakout([1548,486],4,0,-1)
    {
    Dis = "0"
    }
   -Wire-([1674,486],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   -Wire-([738,630],0,0,-1)
    {
    Vertex="0,0;0,-126"
    }
   -Wire-([720,1008],0,0,-1)
    {
    Vertex="0,0;-36,0"
    }
   0.datalabel([288,1116],0,0,-1)
    {
    Name = "dcVltg"
    }
   -Wire-([288,1116],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   0.pgb([360,1116],0,99661960,170)
    {
    Name = "dcVltg"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "0.0"
    Max = "350.0"
    }
   -Wire-([1386,1368],0,0,-1)
    {
    Vertex="0,0;144,0;144,-18"
    }
   0.var_button([6336,0],0,99662368,50)
    {
    Name = "<Untitled>"
    Group = ""
    Display = "0"
    Min = "0"
    Max = "1"
    }
   -Wire-([1548,486],0,0,-1)
    {
    Vertex="0,0;90,0"
    }
   -Wire-([666,342],0,0,-1)
    {
    Vertex="0,0;108,0"
    }
   0.source_1([486,432],7,0,-1)
    {
    Name = "Source1"
    Type = "6"
    Grnd = "0"
    Spec = "0"
    Cntrl = "0"
    AC = "0"
    Vm = "125"
    Tc = "0.05 [s]"
    Ph = "0.0 [deg]"
    f = "60.0 [Hz]"
    P = "0.0 [MW]"
    Q = "0.0 [MVAR]"
    R = "1.0 [ohm]"
    Rs = "1.0 [ohm]"
    Rp = "1.0 [ohm]"
    Lp = "0.1 [H]"
    R' = "1.0 [ohm]"
    L = "0.1 [H]"
    C = "1.0 [uF]"
    L' = "0.1 [H]"
    C' = "1.0 [uF]"
    CUR = ""
    }
   -Wire-([558,342],0,0,-1)
    {
    Vertex="0,0;-72,0;-72,54"
    }
   -Wire-([486,576],0,0,-1)
    {
    Vertex="0,0;0,54"
    }
   0.datalabel([630,1044],0,0,-1)
    {
    Name = "P"
    }
   0.gain([666,1044],0,0,150)
    {
    G = "0.005"
    COM = "Gain"
    Dim = "1"
    }
   0.gain([666,1206],0,0,250)
    {
    G = "0.005"
    COM = "Gain"
    Dim = "1"
    }
   0.datalabel([288,1152],0,0,-1)
    {
    Name = "Idc"
    }
   -Wire-([288,1152],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   0.pgb([360,1152],0,99664816,190)
    {
    Name = "Idc"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-3.0"
    Max = "3.0"
    }
   0.voltmetergnd([1584,486],0,0,60)
    {
    Name = "Einv"
    }
   0.datalabel([126,1224],0,0,-1)
    {
    Name = "Einv"
    }
   -Wire-([126,1224],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   0.pgb([198,1224],0,99666040,230)
    {
    Name = "Einv"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-200.0"
    Max = "200.0"
    }
   0.datalabel([126,1188],0,0,-1)
    {
    Name = "Eab"
    }
   -Wire-([126,1188],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   0.pgb([198,1188],0,99666856,200)
    {
    Name = "Eab"
    Group = ""
    Display = "1"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-1.0"
    Max = "2.5"
    }
   0.inductor([594,342],2,0,-1)
    {
    L = "0.5968 [H]"
    }
   0.resistor([666,342],2,0,-1)
    {
    R = "2.5 [ohm]"
    }
   0.ground([486,504],4,0,-1)
    {
    }
   0.sig_gen([1494,1494],0,0,320)
    {
    Max = "1"
    Min = "-1"
    }
   0.mult([1422,1494],6,0,310)
    {
    }
   -Wire-([1350,1494],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.var_pot([1386,1458],0,99669304,300)
    {
    Name = "Carrier_f"
    Group = ""
    Display = "0"
    NDP = "10"
    Value = "10"
    F1 = "5"
    F2 = "7"
    F3 = "9"
    F4 = "11"
    F5 = "13"
    F6 = "15"
    F7 = "19"
    F8 = "21"
    F9 = "23"
    F10 = "27"
    }
   0.datalabel([1350,1494],0,0,-1)
    {
    Name = "Freq"
    }
   0.datalabel([1530,1494],0,0,-1)
    {
    Name = "Trig"
    }
   0.datalabel([1674,1134],0,0,-1)
    {
    Name = "Trig"
    }
   0.source_1([486,540],7,0,-1)
    {
    Name = "Source2"
    Type = "6"
    Grnd = "0"
    Spec = "0"
    Cntrl = "0"
    AC = "0"
    Vm = "125"
    Tc = "0.05 [s]"
    Ph = "0.0 [deg]"
    f = "60.0 [Hz]"
    P = "0.0 [MW]"
    Q = "0.0 [MVAR]"
    R = "1.0 [ohm]"
    Rs = "1.0 [ohm]"
    Rp = "1.0 [ohm]"
    Lp = "0.1 [H]"
    R' = "1.0 [ohm]"
    L = "0.1 [H]"
    C = "1.0 [uF]"
    L' = "0.1 [H]"
    C' = "1.0 [uF]"
    CUR = ""
    }
   0.ground([1404,630],0,0,-1)
    {
    }
   -Wire-([1368,630],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.delay([1908,1098],0,0,490)
    {
    T = "10e-6 [sec]"
    INTR = "0"
    }
   0.delay([2178,1098],0,0,600)
    {
    T = "10e-6 [sec]"
    INTR = "0"
    }
   0.delay([2178,1170],0,0,580)
    {
    T = "10e-6 [sec]"
    INTR = "0"
    }
   0.delay([2178,1242],0,0,550)
    {
    T = "10e-6 [sec]"
    INTR = "0"
    }
   0.delay([1908,1206],0,0,420)
    {
    T = "10e-6 [sec]"
    INTR = "0"
    }
   0.delay([1908,1296],0,0,460)
    {
    T = "10e-6 [sec]"
    INTR = "0"
    }
   0.capacitor([738,468],1,0,-1)
    {
    C = "26"
    }
   -Wire-([594,342],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.fft([216,954],0,0,120)
    {
    Type = "1"
    Size = "2"
    F = "60.0 [Hz]"
    AMod = "0"
    PMod = "1"
    PModCS = "2"
    Filt = "1"
    Track = "0"
    Enab = "1"
    Fout = ""
    }
   0.datatap([144,954],0,0,110)
    {
    Index = "1"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   0.datalabel([90,936],0,0,-1)
    {
    Name = "Einv"
    }
   -Wire-([90,936],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.datatap([306,936],0,0,340)
    {
    Index = "1"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   0.datatap([306,972],0,0,130)
    {
    Index = "1"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   0.pgb([306,936],0,99676648,670)
    {
    Name = "Mag1"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "0.0"
    Max = "100.0"
    }
   0.pgb([306,972],0,99677056,660)
    {
    Name = "ph"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-100.0"
    Max = "100.0"
    }
   -Wire-([288,918],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   0.pgb([360,918],0,99677464,680)
    {
    Name = "mag"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "0"
    Max = "100"
    }
   0.inductor([594,630],2,0,-1)
    {
    L = "0.5968 [H]"
    }
   0.resistor([666,630],2,0,-1)
    {
    R = "2.5 [ohm]"
    }
   -Wire-([594,630],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([666,630],0,0,-1)
    {
    Vertex="0,0;108,0"
    }
   0.capacitor([1008,396],1,0,-1)
    {
    C = "26000"
    }
   -Wire-([1008,342],0,0,-1)
    {
    Vertex="0,0;0,54"
    }
   -Wire-([1008,432],0,0,-1)
    {
    Vertex="0,0;0,126"
    }
   0.capacitor([1008,558],1,0,-1)
    {
    C = "26000"
    }
   -Wire-([1008,594],0,0,-1)
    {
    Vertex="0,0;0,36"
    }
   0.ground([1008,486],4,0,-1)
    {
    }
   -Wire-([882,342],0,0,-1)
    {
    Vertex="0,0;144,0"
    }
   -Wire-([792,1008],0,0,-1)
    {
    Vertex="0,0;54,0"
    }
   -Wire-([792,1170],0,0,-1)
    {
    Vertex="0,0;54,0"
    }
   0.pgb([810,972],0,99679912,650)
    {
    Name = "Perr"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-0.2"
    Max = "0.6"
    }
   -Wire-([810,972],0,0,-1)
    {
    Vertex="0,0;0,36"
    }
   -Wire-([486,504],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   0.inductor([810,630],2,0,-1)
    {
    L = "0.5968 [H]"
    }
   0.resistor([882,630],2,0,-1)
    {
    R = "2.5 [ohm]"
    }
   -Wire-([810,630],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.inductor([810,342],2,0,-1)
    {
    L = "0.5968 [H]"
    }
   0.resistor([882,342],2,0,-1)
    {
    R = "2.5 [ohm]"
    }
   -Wire-([810,342],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([936,450],0,0,-1)
    {
    Vertex="0,0;0,-108"
    }
   -PolyMeter-(99677464,2124,648,2790,972)
    {
    Title = "mag"
    Flags = 2
    State = 1
    Icon = -1,-1
    Posn = 2124,648
    Extents = 0,0,666,324
    }
   0.var([648,1008],0,99681952,140)
    {
    Name = "Pref_pu"
    Group = ""
    Display = "0"
    Max = "1.1"
    Min = "0.0"
    Value = "0.726"
    Units = ""
    Collect = "1"
    }
   0.var([648,1170],0,99682360,220)
    {
    Name = "Qref_pu"
    Group = ""
    Display = "0"
    Max = "0.6"
    Min = "0.0"
    Value = "0.0"
    Units = ""
    Collect = "1"
    }
   -Wire-([720,1170],0,0,-1)
    {
    Vertex="0,0;-36,0"
    }
   -ControlPanel-([1728,72],0)
    {
    Name = "$(GROUP) : Controls"
    Flags = 0
    State = 1
    Icon = -1,-1
    Posn = 1728,72
    Extents = 0,0,324,162
    Slider(98995160)
    Dial(99669304)
    Slider(99681952)
    Slider(99682360)
    }
   -ControlPanel-([1728,252],0)
    {
    Name = "$(GROUP) : Controls"
    Flags = 0
    State = 1
    Icon = -1,-1
    Posn = 1728,252
    Extents = 0,0,324,126
    Meter(99661960)
    Meter(99664816)
    Meter(98999240)
    Meter(99654616)
    }
   0.xfmr-3p2w([1800,486],0,0,-1)
    {
    Name = ""
    Tmva = "250.0 [MVA]"
    f = "60.0 [Hz]"
    YD1 = "0"
    YD2 = "0"
    Lead = "1"
    Xl = "0.15 [pu]"
    Ideal = "0"
    NLL = "0.0003 [pu]"
    CuL = "0.0005 [pu]"
    Tap = "0"
    View = "1"
    Dtls = "0"
    V1 = "138"
    V2 = "138"
    Enab = "0"
    Sat = "1"
    Xair = "0.2 [pu]"
    Tdc = "1.0 [s]"
    Xknee = "1.25 [pu]"
    Txk = "0.1 [s]"
    Im1 = "2.0 [%]"
    ILA1 = ""
    ILB1 = ""
    ILC1 = ""
    IAB1 = ""
    IBC1 = ""
    ICA1 = ""
    ILA2 = ""
    ILB2 = ""
    ILC2 = ""
    IAB2 = ""
    IBC2 = ""
    ICA2 = ""
    IMA = ""
    IMB = ""
    IMC = ""
    FLXA = ""
    FLXB = ""
    FLXC = ""
    IMAB = ""
    IMBC = ""
    IMCA = ""
    FLXAB = ""
    FLXBC = ""
    FLXCA = ""
    }
   0.ground([1800,522],1,0,-1)
    {
    }
   0.ground([1782,522],1,0,-1)
    {
    }
   -Plot-([2466,72],0)
    {
    Title = "$(GROUP) : Graphs"
    Draw = 1
    Area = [0,0,324,558]
    Posn = [2466,72]
    Icon = [-1,-1]
    Extents = 0,0,324,558
    XLabel = " "
    AutoPan = "false,75"
    Graph([0,0],[0,0,324,99],"y")
     {
     Options = 128
     Units = ""
     Curve(99676648,"Mag1",0,,,)
     }
    Graph([0,99],[0,0,324,99],"y")
     {
     Options = 128
     Units = ""
     Curve(99677056,"ph",0,,,)
     }
    Graph([0,198],[0,0,324,99],"y")
     {
     Options = 128
     Units = ""
     Curve(99666040,"Einv",0,,-7,)
     }
    Graph([0,297],[0,0,324,99],"y")
     {
     Options = 128
     Units = ""
     Curve(98982920,"sine1",0,,,)
     Curve(98988632,"sine2",0,,,)
     Curve(98989448,"sine3",0,,,)
     }
    Graph([0,396],[0,0,324,99],"y")
     {
     Options = 128
     Units = ""
     Curve(98982104,"pulse1",0,,,)
     Curve(98987408,"pulse2",0,,,)
     Curve(98987816,"pulse3",0,,,)
     }
    }
   -Wire-([1530,1494],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   0.pgb([1602,1494],0,99683992,330)
    {
    Name = "Trig"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   -Sticky-([36,234],0)
    {
    Name = ""
    Font = 1
    Bounds = 36,234,432,450
    Alignment = 0
    Style = 1
    Arrow = 0
    Color = 0,8454143
    Text = "\
Notes:
1) The magnitude of the generated ac side voltage (fundamental component) depends on the DC voltage magnitude and the modulating index.

2) The power flow to the ac system is controlled through the phase of the generated PWM (ac) voltage.

3) The expected results for a 0.9 modulating index and a phase angle of 5 deg are shown in the accompanying MathCad sheet. The PSCAD results match the expected values closely.

Dharshana Muthumuni/ Prof. Ani Gole
Jan 2008
"
    }
   -Sticky-([126,108],0)
    {
    Name = ""
    Font = 2
    Bounds = 126,108,396,162
    Alignment = 0
    Style = 0
    Arrow = 0
    Color = 16711680,15792890
    Text = "\
Simple PWM example:
"
    }
   -Sticky-([1566,882],0)
    {
    Name = ""
    Font = 1
    Bounds = 1566,882,1836,1008
    Alignment = 0
    Style = 1
    Arrow = 2
    Color = 0,65535
    Text = "\
Modulation signal - This is a sinusoidal waveform with at the specific frequency.

The 'modulating index' and the phase of the waveform can be adjusted to control the generated (PWM) ac voltage (fundamental component). 

These will in effect control the power and the reactive power flow into the ac system.
"
    }
   -Sticky-([1404,792],0)
    {
    Name = ""
    Font = 2
    Bounds = 1404,792,1818,846
    Alignment = 0
    Style = 0
    Arrow = 0
    Color = 16711680,15792890
    Text = "Firing Pulse Generation for the Inverter "
    }
   -Sticky-([1980,1008],0)
    {
    Name = ""
    Font = 1
    Bounds = 1980,1008,2088,1044
    Alignment = 0
    Style = 1
    Arrow = 192
    Color = 0,65535
    Text = "IGBT firing pulses"
    }
   -Sticky-([1512,1404],0)
    {
    Name = ""
    Font = 1
    Bounds = 1512,1404,1710,1440
    Alignment = 0
    Style = 1
    Arrow = 2
    Color = 0,65535
    Text = "High frequency carrier waveform"
    }
   -Plot-([1746,1404],0)
    {
    Title = "$(GROUP) : Graphs"
    Draw = 1
    Area = [0,0,378,324]
    Posn = [1746,1404]
    Icon = [-1,-1]
    Extents = 0,0,378,324
    XLabel = " "
    AutoPan = "false,75"
    Graph([0,0],[0,0,378,131],"y")
     {
     Options = 8
     Units = ""
     Curve(99683992,"Trig",0,,,)
     Curve(98982920,"sine1",0,,,)
     }
    Graph([0,131],[0,0,378,130],"y")
     {
     Options = 8
     Units = ""
     Curve(98982104,"pulse1",0,,,)
     }
    }
   -Sticky-([648,882],0)
    {
    Name = ""
    Font = 1
    Bounds = 648,882,936,936
    Alignment = 0
    Style = 1
    Arrow = 2
    Color = 0,65535
    Text = "\
Simple power and reactive power controlers:
The phase angle and the modulation index are derived through the control action."
    }
   0.annotation([666,1062],0,0,-1)
    {
    AL1 = "200 MVA base assumed"
    AL2 = ""
    }
   0.annotation([666,1224],0,0,-1)
    {
    AL1 = "200 MVA base assumed"
    AL2 = ""
    }
   0.annotation([648,972],0,0,-1)
    {
    AL1 = "P-reference in PU"
    AL2 = ""
    }
   0.annotation([648,1134],0,0,-1)
    {
    AL1 = "Q-reference in PU"
    AL2 = ""
    }
   -Plot-([2124,72],0)
    {
    Title = "$(GROUP) : Graphs"
    Draw = 1
    Area = [0,0,324,558]
    Posn = [2124,72]
    Icon = [-1,-1]
    Extents = 0,0,324,558
    XLabel = " "
    AutoPan = "false,75"
    Graph([0,0],[0,0,324,99],"y")
     {
     Options = 128
     Units = ""
     Curve(99661960,"dcVltg",0,,,)
     }
    Graph([0,99],[0,0,324,99],"y")
     {
     Options = 128
     Units = ""
     Curve(99664816,"Idc",0,,,)
     }
    Graph([0,198],[0,0,324,99],"y")
     {
     Options = 128
     Units = ""
     Curve(98999240,"P",0,,,)
     }
    Graph([0,297],[0,0,324,99],"y")
     {
     Options = 128
     Units = ""
     Curve(99654616,"Q",0,,,)
     }
    Graph([0,396],[0,0,324,99],"y")
     {
     Options = 128
     Units = ""
     Curve(99655432,"Vrms",0,,,)
     }
    }
   -Sticky-([36,504],0)
    {
    Name = ""
    Font = 1
    Bounds = 36,504,432,558
    Alignment = 0
    Style = 1
    Arrow = 0
    Color = 0,65535
    Text = "In this example, the phase and the modulating index of the PWM modulation signal are determined through simple controllers. The controllers are set up to act on P (real power) and Q (Reactive power) errors."
    }
   -Plot-([594,1260],0)
    {
    Title = "$(GROUP) : Graphs"
    Draw = 1
    Area = [0,0,468,288]
    Posn = [594,1260]
    Icon = [-1,-1]
    Extents = 0,0,468,288
    XLabel = " "
    AutoPan = "false,75"
    Graph([0,0],[0,0,468,113],"y")
     {
     Options = 128
     Units = ""
     Curve(99660328,"Ang",0,,,)
     }
    Graph([0,113],[0,0,468,112],"y")
     {
     Options = 128
     Units = ""
     Curve(99660736,"Mag",0,,,)
     }
    }
   -Plot-([2808,72],0)
    {
    Title = "$(GROUP) : Graphs"
    Draw = 1
    Area = [0,0,342,432]
    Posn = [2808,72]
    Icon = [-1,-1]
    Extents = 0,0,342,432
    XLabel = " "
    AutoPan = "false,75"
    Graph([0,0],[0,0,342,123],"y")
     {
     Options = 128
     Units = ""
     Curve(99679912,"Perr",0,,,)
     }
    Graph([0,123],[0,0,342,123],"y")
     {
     Options = 128
     Units = ""
     Curve(99660328,"Ang",0,,,)
     }
    Graph([0,246],[0,0,342,123],"y")
     {
     Options = 128
     Units = ""
     Curve(99660736,"Mag",0,,,)
     }
    }
   }
  }
 }

