PSCAD 4.2.1

Settings
 {
 Id = "1314617874.1314714638"
 Author = "sverresk.sverresk"
 Desc = ""
 Arch = "windows"
 Options = 32
 Build = 18
 Warn = 1
 Check = 15
 Libs = ""
 Source = ""
 RunInfo = 
  {
  Fin = 0.25
  Step = 0.0002
  Plot = 0.0002
  Chat = 0.001
  Brch = 0.0005
  Lat = 100
  Options = 0
  Advanced = 4607
  Debug = 0
  StartFile = ""
  OFile = "noname.out"
  SFile = "noname.snp"
  SnapTime = 0.3
  Mruns = 10
  Mrunfile = 0
  StartType = 0
  PlotType = 0
  SnapType = 0
  MrunType = "mrun"
  }

 }

Definitions
 {
 Module("Main")
  {
  Desc = ""
  FileDate = 0
  Nodes = 
   {
   }

  Graphics = 
   {
   Rectangle(-18,-18,18,18)
   }


  Page(A/A4,Landscape,16,[960,559],5)
   {
   0.source_1([72,72],7,0,-1)
    {
    Name = "Vsource"
    Type = "6"
    Grnd = "1"
    Spec = "0"
    Cntrl = "0"
    AC = "1"
    Vm = "0.230 [kV]"
    Tc = "0.05 [s]"
    Ph = "0.0 [deg]"
    f = "50.0 [Hz]"
    P = "0.0 [MW]"
    Q = "0.0 [MVAR]"
    R = "1.0 [ohm]"
    Rs = "1.0 [ohm]"
    Rp = "1.0 [ohm]"
    Lp = "0.1 [H]"
    R' = "1.0 [ohm]"
    L = "0.1 [H]"
    C = "1.0 [uF]"
    L' = "0.1 [H]"
    C' = "1.0 [uF]"
    CUR = ""
    }
   0.peswitch([198,36],1,0,150)
    {
    L = "D"
    Type = "1"
    SNUB = "0"
    INTR = "0"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.resistor([378,54],1,0,-1)
    {
    R = "10.0 [ohm]"
    }
   0.ammeter([144,36],0,0,10)
    {
    Name = "Id"
    }
   0.ammeter([288,36],0,0,20)
    {
    Name = "Io"
    }
   -Wire-([72,36],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   -Wire-([180,36],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([234,36],0,0,-1)
    {
    Vertex="0,0;54,0"
    }
   -Wire-([324,36],0,0,-1)
    {
    Vertex="0,0;54,0;54,18"
    }
   -Wire-([72,126],0,0,-1)
    {
    Vertex="0,0;0,-18;306,-18;306,-36"
    }
   0.voltmeter([342,54],0,0,40)
    {
    Name = "Vo"
    }
   -Wire-([342,54],0,0,-1)
    {
    Vertex="0,0;0,-18"
    }
   -Wire-([342,90],0,0,-1)
    {
    Vertex="0,0;0,18"
    }
   0.voltmeter([108,54],0,0,30)
    {
    Name = "Vd"
    }
   -Wire-([108,54],0,0,-1)
    {
    Vertex="0,0;0,-18"
    }
   -Wire-([108,90],0,0,-1)
    {
    Vertex="0,0;0,18"
    }
   0.datalabel([720,54],0,0,-1)
    {
    Name = "Io"
    }
   0.datalabel([720,90],0,0,-1)
    {
    Name = "Id"
    }
   0.datalabel([720,126],0,0,-1)
    {
    Name = "Vo"
    }
   0.datalabel([720,162],0,0,-1)
    {
    Name = "Vd"
    }
   0.pgb([756,54],0,301650264,170)
    {
    Name = "Io"
    Group = ""
    Display = "0"
    Scale = "1000"
    Units = "A"
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.pgb([756,90],0,301651080,160)
    {
    Name = "Id"
    Group = ""
    Display = "0"
    Scale = "1000"
    Units = "A"
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.pgb([756,126],0,301652304,140)
    {
    Name = "Vo"
    Group = ""
    Display = "0"
    Scale = "1000"
    Units = "V"
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.pgb([756,162],0,301652712,50)
    {
    Name = "Vd"
    Group = ""
    Display = "0"
    Scale = "1000"
    Units = "V"
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   -Wire-([720,54],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([720,90],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([720,126],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([720,162],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Plot-([864,36],0)
    {
    Title = "Currents"
    Draw = 1
    Area = [0,0,0,0]
    Posn = [864,36]
    Icon = [-1,-1]
    Extents = 0,0,576,288
    XLabel = " "
    AutoPan = "false,75"
    Graph([0,0],[0,0,576,225],"y")
     {
     Options = 129
     Units = ""
     Curve(301651080,"Id",0,,,)
     Curve(301650264,"Io",0,,,)
     }
    }
   -Plot-([864,324],0)
    {
    Title = "Voltages"
    Draw = 1
    Area = [0,0,0,0]
    Posn = [864,324]
    Icon = [-1,-1]
    Extents = 0,0,576,288
    XLabel = " "
    AutoPan = "false,75"
    Graph([0,0],[0,0,576,225],"y")
     {
     Options = 129
     Units = ""
     Curve(301652712,"Vd",0,1,,)
     Curve(301652304,"Vo",0,,,)
     }
    }
   0.mult([756,216],0,0,60)
    {
    }
   0.datalabel([756,252],0,0,-1)
    {
    Name = "Id"
    }
   0.datalabel([720,216],0,0,-1)
    {
    Name = "Vd"
    }
   0.pgb([792,216],0,301655160,70)
    {
    Name = "Pdc"
    Group = ""
    Display = "0"
    Scale = "1e6"
    Units = "W"
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   -Plot-([864,612],0)
    {
    Title = "$(GROUP) : Graphs"
    Draw = 1
    Area = [0,0,0,0]
    Posn = [864,612]
    Icon = [-1,-1]
    Extents = 0,0,576,288
    XLabel = " "
    AutoPan = "false,75"
    Graph([0,0],[0,0,576,225],"y")
     {
     Options = 129
     Units = ""
     Curve(301655160,"Pdc",0,,,)
     }
    }
   0.vco([180,378],0,0,90)
    {
    Mode = "1"
    }
   0.const([108,378],0,0,80)
    {
    Name = ""
    Value = "50"
    }
   0.compar([396,360],0,0,120)
    {
    Pulse = "1"
    INTR = "0"
    OPos = "1"
    ONone = "0"
    ONeg = "0"
    OHi = "1"
    OLo = "0"
    }
   0.const([306,432],0,0,100)
    {
    Name = ""
    Value = "90"
    }
   -Wire-([342,432],0,0,-1)
    {
    Vertex="0,0;0,-36;54,-36"
    }
   -Wire-([252,378],0,0,-1)
    {
    Vertex="0,0;54,0;54,-18;144,-18"
    }
   0.datalabel([306,378],0,0,-1)
    {
    Name = "angle"
    }
   0.datalabel([504,360],0,0,-1)
    {
    Name = "alfa"
    }
   -Wire-([468,360],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.datalabel([234,72],0,0,-1)
    {
    Name = "alfa"
    }
   0.pgb([504,360],0,301660464,130)
    {
    Name = "alfa"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.datalabel([504,432],0,0,-1)
    {
    Name = "angle"
    }
   0.pgb([504,432],0,301646184,110)
    {
    Name = "Input angle"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   -Sticky-([72,162],0)
    {
    Name = ""
    Font = 1
    Bounds = 72,162,432,306
    Alignment = 0
    Style = 1
    Arrow = 0
    Color = 0,15792890
    Text = "\
VCO - counts from 0 to 360 before it resets. One cycle corresponds to the frequency (in Hz) given at the input, Vc.

Comparator: Gives out a pulse every time the input A (VCO-angle) goes higher than the input B (Firing angle)

NB! This works here since the phase angle of the source is set to 0. In real applications, synchronization is needed beteween the source and the VCO"
    }
   -Plot-([72,486],0)
    {
    Title = "Control"
    Draw = 1
    Area = [0,0,0,0]
    Posn = [72,486]
    Icon = [-1,-1]
    Extents = 0,0,576,288
    XLabel = " "
    AutoPan = "false,75"
    Graph([0,0],[0,0,576,225],"y")
     {
     Options = 1
     Units = ""
     Curve(301660464,"alfa",0,,,)
     Curve(301646184,"Input angle",0,,-2,)
     }
    }
   }
  }
 }

