PSCAD 4.2.1

Settings
 {
 Id = "1236098085.1244976990"
 Author = "Keith.Keith"
 Desc = ""
 Arch = "windows"
 Options = 32
 Build = 18
 Warn = 1
 Check = 15
 Libs = ""
 Source = ""
 RunInfo = 
  {
  Fin = 0.03
  Step = 1e-006
  Plot = 1e-006
  Chat = 0.001
  Brch = 0.0005
  Lat = 100
  Options = 0
  Advanced = 4607
  Debug = 0
  StartFile = ""
  OFile = "noname.out"
  SFile = "noname.snp"
  SnapTime = 0.3
  Mruns = 10
  Mrunfile = 0
  StartType = 0
  PlotType = 0
  SnapType = 0
  MrunType = "mrun"
  }


Global_Consts = 
  {
  R = 2 [ohm]
L = 1 [mH]
  R = 2 [ohm]
L = 1 [mH]
  }

 }

Definitions
 {
 Module("Untitled_1")
  {
  Desc = ""
  FileDate = 0
  Nodes = 
   {
   }

  Graphics = 
   {
   Rectangle(-39,-39,39,39)
   Text(0,0,"$(Defn:Name)")
   }


  Page(A/A4,Landscape,16,[640,356],5)
   {
   }
  }
 Module("Main")
  {
  Desc = ""
  FileDate = 0
  Nodes = 
   {
   }

  Graphics = 
   {
   Rectangle(-18,-18,18,18)
   }


  Page(A/A4,Landscape,16,[640,356],5)
   {
   0.peswitch([162,72],2,0,520)
    {
    L = "I"
    Type = "3"
    SNUB = "0"
    INTR = "0"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([180,108],0,0,-1)
    {
    L = "D"
    Type = "0"
    SNUB = "0"
    INTR = "1"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   -Wire-([162,72],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([126,108],0,0,-1)
    {
    Vertex="0,0;-18,0"
    }
   0.datalabel([108,108],6,0,-1)
    {
    Name = "T1"
    }
   -Wire-([162,108],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   0.source_1([54,126],7,0,-1)
    {
    Name = "Source1"
    Type = "6"
    Grnd = "0"
    Spec = "0"
    Cntrl = "0"
    AC = "0"
    Vm = "0.1 [kV]"
    Tc = "0.001 [s]"
    Ph = "0.0 [deg]"
    f = "60.0 [Hz]"
    P = "0.0 [MW]"
    Q = "0.0 [MVAR]"
    R = "10.0 [ohm]"
    Rs = "1.0 [ohm]"
    Rp = "1.0 [ohm]"
    Lp = "0.1 [H]"
    R' = "1.0 [ohm]"
    L = "0.1 [H]"
    C = "1.0 [uF]"
    L' = "0.1 [H]"
    C' = "1.0 [uF]"
    CUR = ""
    }
   0.ground([54,252],1,0,-1)
    {
    }
   0.pgb([1440,486],0,25961088,180)
    {
    Name = "vas"
    Group = ""
    Display = "0"
    Scale = "1000.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-100.0"
    Max = "100.0"
    }
   0.datalabel([1440,486],0,0,-1)
    {
    Name = "vas"
    }
   0.pgb([1422,648],0,25962696,240)
    {
    Name = "idc"
    Group = ""
    Display = "0"
    Scale = "1000.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "0.0"
    Max = "40.0"
    }
   0.datalabel([1422,648],0,0,-1)
    {
    Name = "idc"
    }
   0.peswitch([180,216],0,0,-1)
    {
    L = "D"
    Type = "0"
    SNUB = "0"
    INTR = "1"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   -Wire-([162,180],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([126,216],0,0,-1)
    {
    Vertex="0,0;-18,0"
    }
   0.datalabel([108,216],6,0,-1)
    {
    Name = "T4"
    }
   -Wire-([162,216],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([54,162],0,0,-1)
    {
    Vertex="0,0;0,90"
    }
   -Wire-([162,108],0,0,-1)
    {
    Vertex="0,0;0,72"
    }
   -Wire-([162,126],0,0,-1)
    {
    Vertex="0,0;324,0"
    }
   0.resistor([522,108],6,0,-1)
    {
    R = "$(R)"
    }
   0.ammeter([486,108],0,0,40)
    {
    Name = "ias"
    }
   0.peswitch([288,108],0,0,-1)
    {
    L = "D"
    Type = "0"
    SNUB = "0"
    INTR = "1"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   -Wire-([270,72],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([234,108],0,0,-1)
    {
    Vertex="0,0;-18,0"
    }
   0.datalabel([216,108],6,0,-1)
    {
    Name = "T2"
    }
   -Wire-([270,108],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   0.peswitch([288,216],0,0,-1)
    {
    L = "D"
    Type = "0"
    SNUB = "0"
    INTR = "1"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   -Wire-([270,180],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([234,216],0,0,-1)
    {
    Vertex="0,0;-18,0"
    }
   0.datalabel([216,216],6,0,-1)
    {
    Name = "T5"
    }
   -Wire-([270,216],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([270,144],0,0,-1)
    {
    Vertex="0,0;252,0"
    }
   0.peswitch([396,108],0,0,-1)
    {
    L = "D"
    Type = "0"
    SNUB = "0"
    INTR = "1"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   -Wire-([378,72],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([342,108],0,0,-1)
    {
    Vertex="0,0;-18,0"
    }
   0.datalabel([324,108],6,0,-1)
    {
    Name = "T3"
    }
   -Wire-([378,108],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   0.peswitch([396,216],0,0,-1)
    {
    L = "D"
    Type = "0"
    SNUB = "0"
    INTR = "1"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   -Wire-([378,180],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([342,216],0,0,-1)
    {
    Vertex="0,0;-18,0"
    }
   0.datalabel([324,216],6,0,-1)
    {
    Name = "T6"
    }
   -Wire-([378,216],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([378,162],0,0,-1)
    {
    Vertex="0,0;108,0"
    }
   -Wire-([162,72],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   -Wire-([270,72],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   -Wire-([162,216],0,0,-1)
    {
    Vertex="0,0;0,36"
    }
   -Wire-([270,216],0,0,-1)
    {
    Vertex="0,0;0,36"
    }
   -Wire-([378,216],0,0,-1)
    {
    Vertex="0,0;0,36"
    }
   -Wire-([378,72],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   -Wire-([90,36],0,0,-1)
    {
    Vertex="0,0;288,0"
    }
   -Wire-([54,252],0,0,-1)
    {
    Vertex="0,0;324,0"
    }
   -Wire-([54,90],0,0,-1)
    {
    Vertex="0,0;0,-54"
    }
   0.resistor([522,144],6,0,-1)
    {
    R = "$(R)"
    }
   0.resistor([522,180],6,0,-1)
    {
    R = "$(R)"
    }
   -Wire-([486,126],0,0,-1)
    {
    Vertex="0,0;0,-18"
    }
   -Wire-([486,162],0,0,-1)
    {
    Vertex="0,0;0,18"
    }
   -Wire-([612,108],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([612,144],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([612,180],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([630,108],0,0,-1)
    {
    Vertex="0,0;0,72"
    }
   0.pgb([1494,486],0,26033400,190)
    {
    Name = "ias"
    Group = ""
    Display = "0"
    Scale = "1000.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-40.0"
    Max = "40.0"
    }
   0.datalabel([1494,486],0,0,-1)
    {
    Name = "ias"
    }
   0.voltmeter([486,72],3,0,20)
    {
    Name = "vas"
    }
   -Wire-([486,108],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   -Wire-([522,72],0,0,-1)
    {
    Vertex="0,0;108,0;108,36"
    }
   -Wire-([486,180],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.ammeter([54,36],0,0,10)
    {
    Name = "idc"
    }
   0.integral([900,216],0,0,90)
    {
    Extrn = "0"
    Reset = "0"
    Mthd = "0"
    noname5 = ""
    INTR = "0"
    INTCLR = "0"
    T = "1 [s]"
    Yo = "0.0"
    YRst = "0.0"
    YHi = "100.0e6"
    YLo = "-100.0e6"
    }
   0.gain([828,216],0,0,80)
    {
    G = "6.283185"
    COM = "Gain"
    Dim = "1"
    }
   0.sumjct([972,216],0,0,290)
    {
    DPath = "1"
    A = "0"
    B = "0"
    C = "0"
    D = "1"
    E = "0"
    F = "-1"
    G = "0"
    }
   0.sumjct([972,288],6,0,110)
    {
    DPath = "1"
    A = "0"
    B = "0"
    C = "0"
    D = "1"
    E = "0"
    F = "1"
    G = "0"
    }
   -Wire-([990,252],0,0,-1)
    {
    Vertex="0,0;-18,0"
    }
   -Wire-([936,144],0,0,-1)
    {
    Vertex="0,0;0,198"
    }
   -Wire-([1008,144],0,0,-1)
    {
    Vertex="0,0;-72,0"
    }
   0.mult([1116,144],6,0,280)
    {
    }
   0.mult([1116,216],6,0,310)
    {
    }
   0.datalabel([1116,252],2,0,-1)
    {
    Name = "d"
    }
   0.datalabel([1116,180],2,0,-1)
    {
    Name = "d"
    }
   0.datalabel([900,108],2,0,-1)
    {
    Name = "d"
    }
   0.const([756,72],0,0,30)
    {
    Name = ""
    Value = "100"
    }
   0.const([1026,252],4,0,100)
    {
    Name = ""
    Value = "2.094395"
    }
   0.trig([1044,144],0,0,270)
    {
    Type = "2"
    Mode = "0"
    COM = "Trig-Func"
    Dim = "1"
    }
   0.trig([1044,216],0,0,300)
    {
    Type = "2"
    Mode = "0"
    COM = "Trig-Func"
    Dim = "1"
    }
   0.trig([1044,288],0,0,120)
    {
    Type = "2"
    Mode = "0"
    COM = "Trig-Func"
    Dim = "1"
    }
   -Wire-([756,216],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([1116,108],0,0,-1)
    {
    Vertex="0,0;-252,0"
    }
   0.datalabel([774,216],2,0,-1)
    {
    Name = "f"
    }
   0.gain([972,342],0,0,130)
    {
    G = "3"
    COM = "Gain"
    Dim = "1"
    }
   0.trig([1044,342],0,0,140)
    {
    Type = "2"
    Mode = "0"
    COM = "Trig-Func"
    Dim = "1"
    }
   0.gain([846,342],0,0,330)
    {
    G = "0.167"
    COM = "Gain"
    Dim = "1"
    }
   0.mult([1116,288],6,0,320)
    {
    }
   0.mult([1116,342],0,0,350)
    {
    }
   -Wire-([1116,378],0,0,-1)
    {
    Vertex="0,0;-198,0"
    }
   -Wire-([810,342],0,0,-1)
    {
    Vertex="0,0;-18,0"
    }
   0.datalabel([792,342],2,0,-1)
    {
    Name = "d"
    }
   0.sumjct([1188,144],0,0,380)
    {
    DPath = "1"
    A = "0"
    B = "0"
    C = "0"
    D = "1"
    E = "0"
    F = "-1"
    G = "0"
    }
   0.sumjct([1188,216],0,0,370)
    {
    DPath = "1"
    A = "0"
    B = "0"
    C = "0"
    D = "1"
    E = "0"
    F = "-1"
    G = "0"
    }
   0.sumjct([1188,288],0,0,360)
    {
    DPath = "1"
    A = "0"
    B = "0"
    C = "0"
    D = "1"
    E = "0"
    F = "-1"
    G = "0"
    }
   -Wire-([1152,342],0,0,-1)
    {
    Vertex="0,0;36,0;36,-18"
    }
   0.datalabel([1188,342],0,0,-1)
    {
    Name = "do6cos3"
    }
   0.datalabel([1188,252],0,0,-1)
    {
    Name = "do6cos3"
    }
   0.datalabel([1188,180],0,0,-1)
    {
    Name = "do6cos3"
    }
   -Wire-([756,378],0,0,-1)
    {
    Vertex="0,0;90,0"
    }
   0.datalabel([774,378],2,0,-1)
    {
    Name = "third"
    }
   0.mult([882,378],6,0,340)
    {
    }
   0.pgb([1476,648],0,26068528,430)
    {
    Name = "da"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-1.5"
    Max = "1.5"
    }
   0.datalabel([1476,648],0,0,-1)
    {
    Name = "da"
    }
   0.pgb([1476,702],0,26070488,420)
    {
    Name = "T1"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "0.0"
    Max = "2.0"
    }
   0.datalabel([1476,702],0,0,-1)
    {
    Name = "T1"
    }
   0.pgb([1422,702],0,26072520,250)
    {
    Name = "tri"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-1.5"
    Max = "1.5"
    }
   0.datalabel([1422,702],0,0,-1)
    {
    Name = "tri"
    }
   -Wire-([558,108],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([558,144],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([558,180],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   0.inductor([576,180],6,0,-1)
    {
    L = "$(L)"
    }
   0.inductor([576,144],6,0,-1)
    {
    L = "$(L)"
    }
   0.inductor([576,108],6,0,-1)
    {
    L = "$(L)"
    }
   -Plot-([36,468],0)
    {
    Title = ""
    Draw = 1
    Area = [0,0,666,486]
    Posn = [36,468]
    Icon = [-1,-1]
    Extents = 0,0,666,486
    XLabel = " "
    AutoPan = "false,75"
    Graph([0,0],[0,0,666,141],"vas (V)")
     {
     Options = 0
     Units = ""
     Curve(25961088,"vas",0,,,)
     }
    Graph([0,141],[0,0,666,141],"ias (A)")
     {
     Options = 0
     Units = ""
     Curve(26033400,"ias",0,,,)
     }
    Graph([0,282],[0,0,666,141],"idc (A)")
     {
     Options = 0
     Units = ""
     Curve(25962696,"idc",0,,,)
     }
    }
   -Plot-([738,468],0)
    {
    Title = ""
    Draw = 1
    Area = [0,0,576,486]
    Posn = [738,468]
    Icon = [-1,-1]
    Extents = 0,0,576,486
    XLabel = " "
    AutoPan = "false,75"
    Graph([0,0],[0,0,576,141],"")
     {
     Options = 0
     Units = ""
     Curve(26068528,"da",0,,,)
     Curve(26072520,"tri",0,,,)
     }
    Graph([0,141],[0,0,576,141],"")
     {
     Options = 0
     Units = ""
     Curve(26070488,"T1",0,,,)
     }
    Graph([0,282],[0,0,576,141],"ias (A)")
     {
     Options = 0
     Units = ""
     Curve(26033400,"ias",0,,,)
     }
    }
   0.sig_gen([1188,396],0,0,170)
    {
    Max = "1"
    Min = "-1"
    }
   0.const([1116,396],0,0,160)
    {
    Name = ""
    Value = "3e3"
    }
   -Wire-([1260,396],0,0,-1)
    {
    Vertex="0,0;-36,0"
    }
   0.annotation([1404,90],0,0,-1)
    {
    AL1 = "transistor gate signals"
    AL2 = ""
    }
   0.compar([1296,144],0,0,410)
    {
    Pulse = "0"
    INTR = "0"
    OPos = "1"
    ONone = "0"
    ONeg = "1"
    OHi = "1"
    OLo = "0"
    }
   0.datalabel([1242,144],2,0,-1)
    {
    Name = "da"
    }
   -Wire-([1224,144],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   -Wire-([1260,180],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.datalabel([1260,180],6,0,-1)
    {
    Name = "tri"
    }
   0.compar([1296,216],0,0,400)
    {
    Pulse = "0"
    INTR = "0"
    OPos = "1"
    ONone = "0"
    ONeg = "1"
    OHi = "1"
    OLo = "0"
    }
   0.datalabel([1242,216],2,0,-1)
    {
    Name = "db"
    }
   -Wire-([1224,216],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   -Wire-([1260,252],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.compar([1296,288],0,0,390)
    {
    Pulse = "0"
    INTR = "0"
    OPos = "1"
    ONone = "0"
    ONeg = "1"
    OHi = "1"
    OLo = "0"
    }
   0.datalabel([1242,288],2,0,-1)
    {
    Name = "dc"
    }
   -Wire-([1224,288],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   -Wire-([1260,324],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.inv([1404,144],0,0,460)
    {
    INTR = "0"
    }
   -Wire-([1404,144],0,0,-1)
    {
    Vertex="0,0;-36,0"
    }
   0.datalabel([1386,144],0,0,-1)
    {
    Name = "T1"
    }
   0.datalabel([1458,144],0,0,-1)
    {
    Name = "T4"
    }
   -Wire-([1458,144],0,0,-1)
    {
    Vertex="0,0;-18,0"
    }
   0.inv([1404,216],0,0,450)
    {
    INTR = "0"
    }
   -Wire-([1404,216],0,0,-1)
    {
    Vertex="0,0;-36,0"
    }
   0.datalabel([1386,216],0,0,-1)
    {
    Name = "T2"
    }
   0.datalabel([1458,216],0,0,-1)
    {
    Name = "T5"
    }
   -Wire-([1458,216],0,0,-1)
    {
    Vertex="0,0;-18,0"
    }
   0.inv([1404,288],0,0,440)
    {
    INTR = "0"
    }
   -Wire-([1404,288],0,0,-1)
    {
    Vertex="0,0;-36,0"
    }
   0.datalabel([1386,288],0,0,-1)
    {
    Name = "T3"
    }
   0.datalabel([1458,288],0,0,-1)
    {
    Name = "T6"
    }
   -Wire-([1458,288],0,0,-1)
    {
    Vertex="0,0;-18,0"
    }
   -Wire-([1260,180],0,0,-1)
    {
    Vertex="0,0;0,216"
    }
   0.peswitch([162,180],2,0,490)
    {
    L = "I"
    Type = "3"
    SNUB = "0"
    INTR = "0"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([270,72],2,0,510)
    {
    L = "I"
    Type = "3"
    SNUB = "0"
    INTR = "0"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   -Wire-([270,108],0,0,-1)
    {
    Vertex="0,0;0,72"
    }
   0.peswitch([270,180],2,0,480)
    {
    L = "I"
    Type = "3"
    SNUB = "0"
    INTR = "0"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([378,72],2,0,500)
    {
    L = "I"
    Type = "3"
    SNUB = "0"
    INTR = "0"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   -Wire-([378,108],0,0,-1)
    {
    Vertex="0,0;0,72"
    }
   0.peswitch([378,180],2,0,470)
    {
    L = "I"
    Type = "3"
    SNUB = "0"
    INTR = "0"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.var_switch([792,144],0,26236760,60)
    {
    Name = "Modulation"
    Group = ""
    Display = "1"
    Value = "0"
    Max = "1"
    Min = "0"
    Ton = "Step"
    Toff = "PWM"
    }
   0.select([828,108],0,0,260)
    {
    A = "1"
    DPath = "1"
    COM = "Selector"
    }
   0.var([720,108],0,26239000,50)
    {
    Name = "Mod Index"
    Group = ""
    Display = "1"
    Max = "1.15"
    Min = "0.0"
    Value = "1.15"
    Units = ""
    Collect = "1"
    }
   0.var([720,216],0,26318912,70)
    {
    Name = "Frequency"
    Group = ""
    Display = "1"
    Max = "120"
    Min = "0.0"
    Value = "91.4285714286"
    Units = ""
    Collect = "1"
    }
   0.annotation([1224,90],0,0,-1)
    {
    AL1 = "duty cycles"
    AL2 = ""
    }
   -Wire-([756,108],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.var_switch([720,378],0,26406392,150)
    {
    Name = "Third Harmonic"
    Group = ""
    Display = "1"
    Value = "1"
    Max = "1"
    Min = "0"
    Ton = "ON"
    Toff = "OFF"
    }
   0.rms-inst([1440,540],1,0,200)
    {
    Type = "0"
    Ts = "0.02 [s]"
    Scale = "1.0"
    freq = "60.0 [Hz]"
    NSAM = "64"
    Vinit = "0.0"
    }
   -Wire-([1440,486],0,0,-1)
    {
    Vertex="0,0;0,18"
    }
   0.pgb([1440,576],1,26507664,220)
    {
    Name = "vas_rms"
    Group = ""
    Display = "0"
    Scale = "1000.0"
    Units = "V"
    mrun = "0"
    Pol = "0"
    Min = "0"
    Max = "50"
    }
   0.rms-inst([1494,540],1,0,210)
    {
    Type = "0"
    Ts = "0.02 [s]"
    Scale = "1.0"
    freq = "60.0 [Hz]"
    NSAM = "64"
    Vinit = "0.0"
    }
   0.pgb([1494,576],1,26733944,230)
    {
    Name = "ias_rms"
    Group = ""
    Display = "0"
    Scale = "1000.0"
    Units = "A"
    mrun = "0"
    Pol = "0"
    Min = "0"
    Max = "50"
    }
   -Wire-([1494,486],0,0,-1)
    {
    Vertex="0,0;0,18"
    }
   -ControlPanel-([54,306],0)
    {
    Name = ""
    Flags = 0
    State = 1
    Icon = -1,-1
    Posn = 54,306
    Extents = 0,0,540,126
    Switch(26236760)
    Slider(26239000)
    Slider(26318912)
    Switch(26406392)
    Meter(26507664)
    Meter(26733944)
    }
   }
  }
 }

