PSCAD 4.2.1

Settings
 {
 Id = "1236098085.1244936977"
 Author = "Keith.Keith"
 Desc = ""
 Arch = "windows"
 Options = 32
 Build = 18
 Warn = 1
 Check = 15
 Libs = ""
 Source = ""
 RunInfo = 
  {
  Fin = 0.25
  Step = 1e-006
  Plot = 1e-005
  Chat = 0.001
  Brch = 0.0005
  Lat = 100
  Options = 0
  Advanced = 4607
  Debug = 0
  StartFile = ""
  OFile = "noname.out"
  SFile = "noname.snp"
  SnapTime = 0.3
  Mruns = 10
  Mrunfile = 0
  StartType = 0
  PlotType = 0
  SnapType = 0
  MrunType = "mrun"
  }


Global_Consts = 
  {
  R = 13.8 [ohm]
L = 27.5 [mH]
Lf = 2.4 [mH]
Cf = 50 [uF]
Rf = 5.2e0 [ohm]
  R = 13.8 [ohm]
L = 27.5 [mH]
Lf = 2.4 [mH]
Cf = 50 [uF]
Rf = 5.2e0 [ohm]
  R = 13.8 [ohm]
L = 27.5 [mH]
Lf = 2.4 [mH]
Cf = 50 [uF]
Rf = 5.2e0 [ohm]
  R = 13.8 [ohm]
L = 27.5 [mH]
Lf = 2.4 [mH]
Cf = 50 [uF]
Rf = 5.2e0 [ohm]
  R = 13.8 [ohm]
L = 27.5 [mH]
Lf = 2.4 [mH]
Cf = 50 [uF]
Rf = 5.2e0 [ohm]
  }

 }

Definitions
 {
 Module("Main")
  {
  Desc = ""
  FileDate = 1244936958
  Nodes = 
   {
   }

  Graphics = 
   {
   Rectangle(-18,-18,18,18)
   }


  Page(A/A4,Landscape,16,[640,356],5)
   {
   0.source_1([54,144],7,0,-1)
    {
    Name = "Source1"
    Type = "6"
    Grnd = "0"
    Spec = "0"
    Cntrl = "0"
    AC = "0"
    Vm = "6 [kV]"
    Tc = "0.001 [s]"
    Ph = "0.0 [deg]"
    f = "60.0 [Hz]"
    P = "0.0 [MW]"
    Q = "0.0 [MVAR]"
    R = "10.0 [ohm]"
    Rs = "1.0 [ohm]"
    Rp = "1.0 [ohm]"
    Lp = "0.1 [H]"
    R' = "1.0 [ohm]"
    L = "0.1 [H]"
    C = "1.0 [uF]"
    L' = "0.1 [H]"
    C' = "1.0 [uF]"
    CUR = ""
    }
   0.ground([54,288],1,0,-1)
    {
    }
   0.pgb([1404,540],0,28608576,160)
    {
    Name = "vas"
    Group = ""
    Display = "0"
    Scale = "1000.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-5000.0"
    Max = "5000.0"
    }
   0.datalabel([1404,540],0,0,-1)
    {
    Name = "vas"
    }
   -Wire-([54,180],0,0,-1)
    {
    Vertex="0,0;0,108"
    }
   0.ammeter([594,126],0,0,50)
    {
    Name = "ias"
    }
   -Wire-([270,162],0,0,-1)
    {
    Vertex="0,0;180,0"
    }
   -Wire-([378,198],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   -Wire-([54,288],0,0,-1)
    {
    Vertex="0,0;324,0"
    }
   -Wire-([738,126],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([738,162],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([738,198],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([756,126],0,0,-1)
    {
    Vertex="0,0;0,72"
    }
   0.pgb([1458,540],0,28639992,170)
    {
    Name = "ias"
    Group = ""
    Display = "0"
    Scale = "1000.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-300.0"
    Max = "300.0"
    }
   0.datalabel([1458,540],0,0,-1)
    {
    Name = "ias"
    }
   0.voltmeter([594,90],3,0,30)
    {
    Name = "vas"
    }
   -Wire-([594,126],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   -Wire-([486,198],0,0,-1)
    {
    Vertex="0,0;144,0"
    }
   0.ammeter([54,36],0,0,10)
    {
    Name = "idc"
    }
   0.integral([252,558],0,0,100)
    {
    Extrn = "0"
    Reset = "0"
    Mthd = "0"
    noname5 = ""
    INTR = "0"
    INTCLR = "0"
    T = "1 [s]"
    Yo = "0.0"
    YRst = "0.0"
    YHi = "100.0e6"
    YLo = "-100.0e6"
    }
   0.gain([180,558],0,0,90)
    {
    G = "6.283185"
    COM = "Gain"
    Dim = "1"
    }
   0.sumjct([324,558],0,0,280)
    {
    DPath = "1"
    A = "0"
    B = "0"
    C = "0"
    D = "1"
    E = "0"
    F = "-1"
    G = "0"
    }
   0.sumjct([324,630],6,0,120)
    {
    DPath = "1"
    A = "0"
    B = "0"
    C = "0"
    D = "1"
    E = "0"
    F = "1"
    G = "0"
    }
   -Wire-([342,594],0,0,-1)
    {
    Vertex="0,0;-18,0"
    }
   -Wire-([288,486],0,0,-1)
    {
    Vertex="0,0;0,198"
    }
   -Wire-([360,486],0,0,-1)
    {
    Vertex="0,0;-72,0"
    }
   0.mult([468,486],6,0,270)
    {
    }
   0.mult([468,558],6,0,300)
    {
    }
   0.datalabel([468,594],2,0,-1)
    {
    Name = "d"
    }
   0.datalabel([468,522],2,0,-1)
    {
    Name = "d"
    }
   0.const([378,594],4,0,110)
    {
    Name = ""
    Value = "2.094395"
    }
   0.const([72,558],0,0,80)
    {
    Name = ""
    Value = "60"
    }
   0.trig([396,486],0,0,260)
    {
    Type = "2"
    Mode = "0"
    COM = "Trig-Func"
    Dim = "1"
    }
   0.trig([396,558],0,0,290)
    {
    Type = "2"
    Mode = "0"
    COM = "Trig-Func"
    Dim = "1"
    }
   0.trig([396,630],0,0,130)
    {
    Type = "2"
    Mode = "0"
    COM = "Trig-Func"
    Dim = "1"
    }
   -Wire-([108,558],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([468,450],0,0,-1)
    {
    Vertex="0,0;-288,0"
    }
   0.datalabel([126,558],2,0,-1)
    {
    Name = "f"
    }
   0.annotation([360,414],0,0,-1)
    {
    AL1 = "duty cycles"
    AL2 = ""
    }
   0.gain([324,684],0,0,200)
    {
    G = "3"
    COM = "Gain"
    Dim = "1"
    }
   0.trig([396,684],0,0,210)
    {
    Type = "2"
    Mode = "0"
    COM = "Trig-Func"
    Dim = "1"
    }
   0.gain([198,684],0,0,190)
    {
    G = "0.167"
    COM = "Gain"
    Dim = "1"
    }
   0.mult([468,630],6,0,150)
    {
    }
   0.mult([468,684],0,0,310)
    {
    }
   -Wire-([468,720],0,0,-1)
    {
    Vertex="0,0;-198,0"
    }
   -Wire-([162,684],0,0,-1)
    {
    Vertex="0,0;-18,0"
    }
   0.datalabel([144,684],2,0,-1)
    {
    Name = "d"
    }
   0.sumjct([540,486],0,0,320)
    {
    DPath = "1"
    A = "0"
    B = "0"
    C = "0"
    D = "1"
    E = "0"
    F = "-1"
    G = "0"
    }
   0.sumjct([540,558],0,0,330)
    {
    DPath = "1"
    A = "0"
    B = "0"
    C = "0"
    D = "1"
    E = "0"
    F = "-1"
    G = "0"
    }
   0.sumjct([540,630],0,0,340)
    {
    DPath = "1"
    A = "0"
    B = "0"
    C = "0"
    D = "1"
    E = "0"
    F = "-1"
    G = "0"
    }
   -Wire-([504,684],0,0,-1)
    {
    Vertex="0,0;36,0;36,-18"
    }
   0.datalabel([540,684],0,0,-1)
    {
    Name = "do6cos3"
    }
   0.datalabel([540,594],0,0,-1)
    {
    Name = "do6cos3"
    }
   0.datalabel([540,522],0,0,-1)
    {
    Name = "do6cos3"
    }
   0.const([72,720],0,0,220)
    {
    Name = ""
    Value = "1"
    }
   -Wire-([108,720],0,0,-1)
    {
    Vertex="0,0;90,0"
    }
   0.datalabel([126,720],2,0,-1)
    {
    Name = "third"
    }
   0.mult([234,720],6,0,230)
    {
    }
   -Wire-([666,126],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([666,162],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([666,198],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.inductor([702,198],6,0,-1)
    {
    L = "$(L)"
    }
   0.inductor([702,162],6,0,-1)
    {
    L = "$(L)"
    }
   0.inductor([702,126],6,0,-1)
    {
    L = "$(L)"
    }
   0.inductor([450,126],6,0,-1)
    {
    L = "$(Lf)"
    }
   0.inductor([450,162],6,0,-1)
    {
    L = "$(Lf)"
    }
   0.inductor([450,198],6,0,-1)
    {
    L = "$(Lf)"
    }
   -Wire-([54,108],0,0,-1)
    {
    Vertex="0,0;0,-72"
    }
   0.capacitor([504,252],3,0,-1)
    {
    C = "$(Cf)"
    }
   0.capacitor([540,252],3,0,-1)
    {
    C = "$(Cf)"
    }
   0.capacitor([576,252],3,0,-1)
    {
    C = "$(Cf)"
    }
   0.resistor([504,324],3,0,-1)
    {
    R = "$(Rf)"
    }
   0.resistor([540,324],3,0,-1)
    {
    R = "$(Rf)"
    }
   0.resistor([576,324],3,0,-1)
    {
    R = "$(Rf)"
    }
   -Wire-([486,126],0,0,-1)
    {
    Vertex="0,0;108,0"
    }
   -Wire-([486,162],0,0,-1)
    {
    Vertex="0,0;144,0"
    }
   -Wire-([504,216],0,0,-1)
    {
    Vertex="0,0;0,-90"
    }
   -Wire-([540,216],0,0,-1)
    {
    Vertex="0,0;0,-54"
    }
   -Wire-([576,216],0,0,-1)
    {
    Vertex="0,0;0,-18"
    }
   -Wire-([504,252],0,0,-1)
    {
    Vertex="0,0;0,36"
    }
   -Wire-([540,252],0,0,-1)
    {
    Vertex="0,0;0,36"
    }
   -Wire-([576,252],0,0,-1)
    {
    Vertex="0,0;0,36"
    }
   -Wire-([504,324],0,0,-1)
    {
    Vertex="0,0;0,36"
    }
   -Wire-([540,324],0,0,-1)
    {
    Vertex="0,0;0,36"
    }
   -Wire-([576,324],0,0,-1)
    {
    Vertex="0,0;0,36"
    }
   -Wire-([504,360],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   0.voltmeter([432,54],3,0,20)
    {
    Name = "van"
    }
   -Wire-([432,126],0,0,-1)
    {
    Vertex="0,0;0,-72"
    }
   -Wire-([756,126],0,0,-1)
    {
    Vertex="0,0;0,-72"
    }
   -Wire-([630,90],0,0,-1)
    {
    Vertex="0,0;126,0"
    }
   -Wire-([468,54],0,0,-1)
    {
    Vertex="0,0;288,0"
    }
   0.pgb([1350,540],0,28697776,140)
    {
    Name = "van"
    Group = ""
    Display = "0"
    Scale = "1000.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-5000.0"
    Max = "5000.0"
    }
   0.datalabel([1350,540],0,0,-1)
    {
    Name = "van"
    }
   0.annotation([468,198],0,0,-1)
    {
    AL1 = "Lf"
    AL2 = ""
    }
   0.annotation([486,234],0,0,-1)
    {
    AL1 = "Cf"
    AL2 = ""
    }
   0.annotation([486,288],0,0,-1)
    {
    AL1 = "Rf"
    AL2 = ""
    }
   0.annotation([720,216],0,0,-1)
    {
    AL1 = "L"
    AL2 = ""
    }
   0.annotation([648,216],0,0,-1)
    {
    AL1 = "R"
    AL2 = ""
    }
   0.compare([144,450],0,0,70)
    {
    X = "0.15"
    OL = "0.8"
    OH = "1.13"
    INTR = "0"
    }
   0.time-sig([72,450],0,0,60)
    {
    }
   0.datalabel([198,450],2,0,-1)
    {
    Name = "d"
    }
   0.resistor([666,126],2,0,-1)
    {
    R = "$(R)"
    }
   0.resistor([666,162],2,0,-1)
    {
    R = "$(R)"
    }
   0.resistor([666,198],2,0,-1)
    {
    R = "$(R)"
    }
   0.ammeter([396,126],0,0,40)
    {
    Name = "ia"
    }
   -Wire-([432,126],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   0.pgb([1512,540],0,28140848,180)
    {
    Name = "ia"
    Group = ""
    Display = "0"
    Scale = "1000.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-300.0"
    Max = "300.0"
    }
   0.datalabel([1512,540],0,0,-1)
    {
    Name = "ia"
    }
   0.peswitch([162,72],2,0,460)
    {
    L = "I"
    Type = "3"
    SNUB = "0"
    INTR = "0"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([180,108],0,0,-1)
    {
    L = "D"
    Type = "0"
    SNUB = "0"
    INTR = "1"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   -Wire-([162,72],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([126,108],0,0,-1)
    {
    Vertex="0,0;-18,0"
    }
   0.datalabel([108,108],6,0,-1)
    {
    Name = "T1"
    }
   -Wire-([162,108],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   0.peswitch([180,252],0,0,-1)
    {
    L = "D"
    Type = "0"
    SNUB = "0"
    INTR = "1"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   -Wire-([162,216],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([126,252],0,0,-1)
    {
    Vertex="0,0;-18,0"
    }
   0.datalabel([108,252],6,0,-1)
    {
    Name = "T4"
    }
   -Wire-([162,252],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([162,108],0,0,-1)
    {
    Vertex="0,0;0,108"
    }
   0.peswitch([288,108],0,0,-1)
    {
    L = "D"
    Type = "0"
    SNUB = "0"
    INTR = "1"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   -Wire-([270,72],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([234,108],0,0,-1)
    {
    Vertex="0,0;-18,0"
    }
   0.datalabel([216,108],6,0,-1)
    {
    Name = "T2"
    }
   -Wire-([270,108],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   0.peswitch([288,252],0,0,-1)
    {
    L = "D"
    Type = "0"
    SNUB = "0"
    INTR = "1"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   -Wire-([270,216],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([234,252],0,0,-1)
    {
    Vertex="0,0;-18,0"
    }
   0.datalabel([216,252],6,0,-1)
    {
    Name = "T5"
    }
   -Wire-([270,252],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   0.peswitch([396,108],0,0,-1)
    {
    L = "D"
    Type = "0"
    SNUB = "0"
    INTR = "1"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   -Wire-([378,72],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([342,108],0,0,-1)
    {
    Vertex="0,0;-18,0"
    }
   0.datalabel([324,108],6,0,-1)
    {
    Name = "T3"
    }
   -Wire-([378,108],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   0.peswitch([396,252],0,0,-1)
    {
    L = "D"
    Type = "0"
    SNUB = "0"
    INTR = "1"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   -Wire-([378,216],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([342,252],0,0,-1)
    {
    Vertex="0,0;-18,0"
    }
   0.datalabel([324,252],6,0,-1)
    {
    Name = "T6"
    }
   -Wire-([378,252],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([162,72],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   -Wire-([270,72],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   -Wire-([162,252],0,0,-1)
    {
    Vertex="0,0;0,36"
    }
   -Wire-([270,252],0,0,-1)
    {
    Vertex="0,0;0,36"
    }
   -Wire-([378,252],0,0,-1)
    {
    Vertex="0,0;0,36"
    }
   -Wire-([378,72],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   -Wire-([90,36],0,0,-1)
    {
    Vertex="0,0;288,0"
    }
   0.peswitch([162,216],2,0,430)
    {
    L = "I"
    Type = "3"
    SNUB = "0"
    INTR = "0"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([270,72],2,0,450)
    {
    L = "I"
    Type = "3"
    SNUB = "0"
    INTR = "0"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   -Wire-([270,108],0,0,-1)
    {
    Vertex="0,0;0,108"
    }
   0.peswitch([270,216],2,0,420)
    {
    L = "I"
    Type = "3"
    SNUB = "0"
    INTR = "0"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([378,72],2,0,440)
    {
    L = "I"
    Type = "3"
    SNUB = "0"
    INTR = "0"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   -Wire-([378,108],0,0,-1)
    {
    Vertex="0,0;0,108"
    }
   0.peswitch([378,216],2,0,410)
    {
    L = "I"
    Type = "3"
    SNUB = "0"
    INTR = "0"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   -Wire-([396,126],0,0,-1)
    {
    Vertex="0,0;-234,0"
    }
   -Wire-([612,738],0,0,-1)
    {
    Vertex="0,0;-36,0"
    }
   0.annotation([738,432],0,0,-1)
    {
    AL1 = "transistor gate signals"
    AL2 = ""
    }
   0.compar([648,486],0,0,370)
    {
    Pulse = "0"
    INTR = "0"
    OPos = "1"
    ONone = "0"
    ONeg = "1"
    OHi = "1"
    OLo = "0"
    }
   0.datalabel([594,486],2,0,-1)
    {
    Name = "da"
    }
   -Wire-([576,486],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   -Wire-([612,522],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.datalabel([612,522],6,0,-1)
    {
    Name = "tri"
    }
   0.compar([648,558],0,0,360)
    {
    Pulse = "0"
    INTR = "0"
    OPos = "1"
    ONone = "0"
    ONeg = "1"
    OHi = "1"
    OLo = "0"
    }
   0.datalabel([594,558],2,0,-1)
    {
    Name = "db"
    }
   -Wire-([576,558],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   -Wire-([612,594],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.compar([648,630],0,0,350)
    {
    Pulse = "0"
    INTR = "0"
    OPos = "1"
    ONone = "0"
    ONeg = "1"
    OHi = "1"
    OLo = "0"
    }
   0.datalabel([594,630],2,0,-1)
    {
    Name = "dc"
    }
   -Wire-([576,630],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   -Wire-([612,666],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.inv([756,486],0,0,400)
    {
    INTR = "0"
    }
   -Wire-([756,486],0,0,-1)
    {
    Vertex="0,0;-36,0"
    }
   0.datalabel([738,486],0,0,-1)
    {
    Name = "T1"
    }
   0.datalabel([810,486],0,0,-1)
    {
    Name = "T4"
    }
   -Wire-([810,486],0,0,-1)
    {
    Vertex="0,0;-18,0"
    }
   0.inv([756,558],0,0,390)
    {
    INTR = "0"
    }
   -Wire-([756,558],0,0,-1)
    {
    Vertex="0,0;-36,0"
    }
   0.datalabel([738,558],0,0,-1)
    {
    Name = "T2"
    }
   0.datalabel([810,558],0,0,-1)
    {
    Name = "T5"
    }
   -Wire-([810,558],0,0,-1)
    {
    Vertex="0,0;-18,0"
    }
   0.inv([756,630],0,0,380)
    {
    INTR = "0"
    }
   -Wire-([756,630],0,0,-1)
    {
    Vertex="0,0;-36,0"
    }
   0.datalabel([738,630],0,0,-1)
    {
    Name = "T3"
    }
   0.datalabel([810,630],0,0,-1)
    {
    Name = "T6"
    }
   -Wire-([810,630],0,0,-1)
    {
    Vertex="0,0;-18,0"
    }
   -Wire-([612,522],0,0,-1)
    {
    Vertex="0,0;0,216"
    }
   0.sig_gen([504,738],0,0,250)
    {
    Max = "1"
    Min = "-1"
    }
   0.const([432,738],0,0,240)
    {
    Name = ""
    Value = "5e3"
    }
   -Wire-([576,738],0,0,-1)
    {
    Vertex="0,0;-36,0"
    }
   -Plot-([846,18],0)
    {
    Title = ""
    Draw = 1
    Area = [0,0,720,486]
    Posn = [846,18]
    Icon = [-1,-1]
    Extents = 0,0,720,486
    XLabel = " "
    AutoPan = "false,75"
    Graph([0,0],[0,0,720,106],"van (V)")
     {
     Options = 0
     Units = ""
     Curve(28697776,"van",0,,,)
     }
    Graph([0,106],[0,0,720,106],"vas (V)")
     {
     Options = 0
     Units = ""
     Curve(28608576,"vas",0,,,)
     }
    Graph([0,212],[0,0,720,106],"ias (A)")
     {
     Options = 0
     Units = ""
     Curve(28639992,"ias",0,,,)
     }
    Graph([0,318],[0,0,720,105],"ia (A)")
     {
     Options = 0
     Units = ""
     Curve(28140848,"ia",0,,,)
     }
    }
   }
  }
 }

